Version 5.6.1
-------------
- Tutorial videos within the plugin's admin sections now open in a lightbox instead of being directly embedded within settings page
- Restored missing title wrapper setting for "TS Title Textillate" element that was supposed to be part of v5.6.0
- Changelog has been moved into dedicated submenu entry instead of being part of settings page
- Fixed issue with color picker initialization within "TS Textblock Advanced" element
- Added option to "TS Title Textillate" element to allow animations on mobile devices
- Improved CURL error detection and request cancellation when retrieving changelog.txt file
- Updated internal PHP helper "Codestar" framework to v2.1.9
- Updated Bootstrap components (modal + transition) from v3.3.6 to v3.4.1
- Adjustments for WordPress v5.6.x releases
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.6.0
-------------
- Plugin now provides option to load jQuery Migrate library directly if WordPress 5.5.x is used (disabled by default)
- Plugin now provides option to redeclare missing "wpColorPickerL10n" variable if WordPress 5.5.x is used (disabled by default)
- Plugin now supports new WordPress auto-update routine introduced with v5.5.0 of WordPress via 3rd party kernl.us service
- Added option to "CP Templates Widget" to strip all rows and contents from content before showing in footer or sidebar as widget
- Added option to "TS Timeline Post Type" element to pull multiple sections from post type at once by using assigned categories
- Added option to "TS Title Textillate" element to define DOM wrapper for title output
- Added options to "TS Font Icon" element to define alternative icon sizes for different device types or screen sizes
- Added option to "TS Circle Steps" element to not use "transitionend" event as trigger (to fix conflicts with some JS animation libraries)
- Added fallback routine to "TS Image GIF Player" element if extracting the first GIF frame via SSL failed
- Modified "TS Countdown" element to strip HTML/PHP tags from custom shortcode callbacks
- Modified "TS Icon Counter" element to strip HTML/PHP tags from custom shortcode callbacks
- Modified "TS Timeline Event" element to show date/time string in element summary
- Modified "Downtime Manager" to receive its own admin menu entry once enabled
- Fixed "contextual_help is deprecated since version 3.3.0" warning for custom post type's help tabs
- Fixed "jQuery.fn.load() is deprecated" messages in browser console when using jQuery migrate with active logging
- Fixed "Found 2 elements with non-unique id #ts_vcsc_extend_settings_submit_1" warning on custom JS editor page
- Fixed "woocommerce_get_product_ids_on_sale is deprecated since version 3.0! Use wc_get_product_ids_on_sale instead." warning for WooCommerce elements
- Fixed "WC_Cart::get_remove_url is deprecated since version 3.3! Use wc_get_cart_remove_url instead." warning for WooCommerce elements
- Fixed issue with "Advanced Styling" setting parameter on WP 5.5.x not rendering correctly
- Fixed issue with "Parse error: syntax error, unexpected ')' in ts_vcsc_parameter_custompost.php file" on some servers
- Fixed issue with "TS Image Switch" element where native WordPress lazyload routine does not load 2nd image
- Fixed "parse_str(): Calling parse_str() without the result argument is deprecated" warning message for "ts_vcsc_registrations_functions.php" file
- Fixed "TS Google Maps PLUS" + "TS Google Maps SINGLE" elements where clicking within the custom infowindow would bubble / propagate the click event down to the map itself
- Fixed issue with "TS Image Switch" element where lightbox is not properly loaded for some click events
- Fixed issue with "TS Textblock Highlighted" element if 3rd party helper class "simple_html_dom_node" is already loaded by theme or other plugins
- Fixed "Undefined variable: id in ts_vcsc_custom_post_downpages.php on line 395" error message for "CP Downpages" custom post type
- Renamed "TS Timeline Post Section" element to "TS Timeline Post Type"
- Added setting option to plugin's settings page to prevent this plugin to use the WP Bakery Page Builder internal "wpb_js_remove_wpautop" call for content elements of this addon
- Other Adjustments for changes in WordPress v5.4.x / 5.5.x releases
- Updated internal PHP helper "Codestar" framework to v2.1.4
- Updated "wp-color-picker-alpha" script from v2.1.2 to v2.1.4 (with custom adjustments for WP 5.5.x "wpColorPickerL10n" changes)
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.5.5
-------------
- Fixed "Jetpack_Options was called incorrectly. Not all plugins have loaded yet ..." warning when "JetPack" plugin v1.1.2.0 or higher is used

Version 5.5.4
-------------
- Fixed issue where disabling "Enable Content Sanitization Routine" function within plugin's settings page did not register as disabled
- Changed default setting for "Enable Content Sanitization Routine" to "disabled" (instead of "enabled")
- Added conditional option to further select which type of sanitization routine should be used (in case the internal WP "force_balance_tags" call causes issues)
- Updated external auto-update class from kernl.us service from v1.2.0 to v1.2.5
- Other CSS + JS Improvements

Version 5.5.3
-------------
- Fixed "frozen" settings panel for elements with more than 1 icon picker control parameter
- Improved conditional logic for control parameters in settings panel for "TS Image Advanced Overlay" element
- Other CSS + JS Improvements

Version 5.5.2
-------------
- Added new element "TS Textblock Highlighted"
- Added support for Font Awesome 5.x icon font within icon picker parameters when WP Bakery Page Builder plugin version of 6.1.x has been detected
- Added automatic migration of font icons from Font Awesome 4.x to 5.x whenever an element settings panel with icon picker parameter is opened
- Added options to "TS Google Maps PLUS" and "TS Google Maps SINGLE" to define position of map controls
- Added retrieval from ALT information from media library for custom image lightbox triggers for "TS Video YouTube", "TS Video Vimeo" and "TS Video DailyMotion" elements
- Added retrieval from ALT information from media library for all featured images within standard post elements
- Added option to "TS Basic Products Slider" to link slide title to product page
- Added preloader option to "Freewall Grid" layout option for "TS Image Gallery" element
- Added preloader option to "NivoSlider" layout option for "TS Image Gallery" element
- Added option to plugin settings to control the stripping of empty HTML tags from the page or post content
- Removed Google+ share links from all standard post elements (since Google retired that service)
- Changed modal popup trigger to use a data attribute for the target element instead of a hashtag href link reference for better compatibility with 3rd party in-page navigation routines
- Changed "TS Almost Anything Grid" element to use margins instead of paddings for spacing/gutter between columns and modified width calculation
- Changed "TS_VCSC_GetImageMetaData" function call to use WordPress internal "wp_prepare_attachment_for_js" call for image meta data (instead of "get_post" and "get_post_meta")
- Changed 3rd party / external "ts_vcsc_autoupdate.php" helper class to fix "deprecated: strpos()" warning on servers using PHP 7.3.x
- Fixed viewport trigger for "TS Amaran Popup" element
- Fixed misplaced "after" label for "TS Image Switch" element when using the slide switch effect in horizontal
- Fixed wrong revert position for "TS Image Swich" element when using the slide switch effect in vertical
- Fixed LazyLoad for "NivoSlider" layout for "TS Image Gallery" element by now initializing routine on page ready event
- Fixed LazyLoad imitation routine for "TS Posts Isotope Grid" element 
- Fixed issue with wrong post links for "TS Posts Isotope Grid" element when posts with and without featured image are present
- Fixed "Call to undefined method VISUAL_COMPOSER_EXTENSIONS::TS_VCSC_RemoveEmptyParagraphs()" error for "TS Fancy Lists" element
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_UserIsAdministrator" error in registrations/ts_vcsc_registrations_menu.php on multi-site installs
- Fixed issues with element presets where preset selection does not visually update toggle switches and icon selector panels
- Renamed element "TS Counter Circle" to "TS Counter Circliful"
- Plugin will now load the respective (empty) ts-visual-composer-extend-custom.min.css file whenever custom CSS code is outputted via WordPress wp_add_inline_style() function call
- Some CSS adjustments for WordPress 5.3 changes
- Updated wayppoints.js script from v3.1.1 to v4.0.1
- Updated CodeStar Framework to v2.1.3
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.5.1
-------------
- Added 105 new fonts to Google Font Manager (increasing overall font count from 818 to 923)
- Added option to "TS Google Maps PLUS" element(s) to forcibly set the map language and regional behavior (otherwise browser settings apply)
- Added option to "TS Google Maps PLUS" element(s) to define point-of-view (heading, pitch and zoom) for optional streetview container
- Fixed "A non well formed numeric value encountered" warning for "TS System Information" element shortcode output
- Fixed issue with "TS Icon Text Box" element where there is no spacing between a right placed icon and right aligned text for the boxed layout
- Fixed wrong shortcode attribute name within "TS Horizontal Timeline Item" from "timeline_formata" to "date_format"
- Changed load behavior for waypoints.js file to account for incompatible modifications in WP Baker Page Builder v6.0.x
- Changed control element allowable user roles for "Downtime Manager" to always include administrator role as being able to see the full site
- Improved layout for "TS Dual Buttons" element on RTL sites
- Fixed blank slide for "TS Image Gallery" element when using the "Slick Slider" layout with autoplay
- Added option to control wrapper for title strings for all elements utilizing H1 to H6 up until v5.5.0 for better SEO control
- Correctly set the flag for automatic paragraph remover for empty paragraphs via external page builder routine to "true"
- Strengthened internal auto-paragraph remover routines with additional call after page/post content has been processed to remove empty paragraphs
- Fixed identified spelling errors within plugin's backend settings panel
- Updated included Codestar framework to v2.1.0
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.5.0
-------------
- Upgraded utilized CodeStar framework for custom post types to new v2.x branch
- Improved "TS Horizontal Timeline" element to better handle when two or more timeline sections have the exact same date/time setting
- Added option to "TS Horizontal Timeline Item" element to define width and spacing for featured media column
- Added option to "TS Horizontal Timeline Item" element to define placement of YouTube, Vimeo and DailyMotion featuered media (left or right column)
- Extended icon selection for "TS Image Advanced Overlay" element for layouts with icon links
- Frontend testimonial submission form can now be set to use AJAX to transmit post information (enabled by default)
- Fixed issue with "TS Icon Text Box" element, where spacing is missing between icon and title with right icon placement (inside the box)
- Reduced minimum allowable breakpoint setting option for "TS Title Morphed" from 360px to 240px
- All custom post types now show the associated post id in the post listing overview
- Improved "Polaroid Stack" layout for "TS Image Gallery" element when using the "Jupiter" theme 6.1.6 or less
- Fixed issue with "Pagawa Slider" layout option for "TS Image Gallery" element, where the download button setting is ignored
- Fixed issue with "Slick Slider" layout option for "TS Image Gallery" element, where "centerMode" option causes empty slides
- Added new simple lines icon design option for lightbox controls
- Fixed issue with lightbox script, where downloads of images with URL parameters fail
- Restored fullscreen option for lightbox on Chrome (based) browser(s)
- Improved JS scroll block for lightbox for browsers mit passive event listeners
- Changed class prefix for all lightbox related elements from "nch-" to "kraut-"
- Changed class prefix for all rectangle grid elements from "nchgrid" to "krautgrid"
- Changed default group name for lightbox groups from "nachogroup" to "krautgroup"
- Removed Google+ share routine from lightbox as service has been shut down as of March 7, 2019
- Dropped dependency on Modernizr script for all elements and routines utilizing it until release 5.4.1
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.4.1
-------------
- Alternative icon images for "TS Icon Info Box" und "TS Icon Text Box" elements now automatically pull ALT tag from media library
- Restored missing group tabs for Google Fonts Manager after initial update to v5.4.0
- Fixed issue with "TS Social Networks" element where default setting for tooltip usage in shortcode does not match element
- Fixed issue with "TS Circle Steps Item" element where step image background appears distorted
- Other CSS + JS Improvements

Version 5.4.0
-------------
- Added single keyword search option to plugin's settings section where available page builder elements can be enabled/disabled
- Added link to live preview/demo page for each main element in plugin's settings section where available page builder elements can be enabled/disabled
- Added ALT output for icon images used in "TS Horizontal Steps" element (retrieved from media library's meta data)
- Added ALT output for featured media images used in "TS Horizontal Timeline" element (retrieved from media library's meta data)
- Added options to extended row settings to define vertical/horizontal offset for movement background layout
- Changed poster image retrieval (server side) for "TS Video Vimeo" element to always use a "https" connection
- Fixed issue with "TS Conditional Output" element where date/time ranges were not correctly applied on weekends
- Fixed PHP "Undefined property" warning for VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_Lightbox_Setting_Defaults variable if plugin settings have never been saved
- Fixed conflict with "MediaPress" plugin from BuddyPress due to a non-standard taxonomy registration in the "MediaPress" plugin
- Added option to "TS Image Gallery" element to limit visible image output for "SlickSlider" layout but show all images within lightbox
- Added option to "TS Single Menu Item" element to define additional scroll offset for in-page navigation
- All custom post types from this plugin now carry the prefix "CP" instead of "VC" in their name and references
- Addon elements in page builder overview are now grouped under "Composium" (instead of "VC Extensions")
- Updated SlickSlider script from v1.5.9 to v1.9.0
- Fixed "A non-numeric value encountered" warning for some custom parameter fields
- Fixed "Uncaught Error: Slider was already initialized" error for noUiSlider controls in repeating group parameters
- Strengthened der editor identification routine to prevent plugin from loading files when the non-compatible "WP Bakery Visual Composer Website Builder" editor is used
- Compatibility with WordPress 5.0 and Gutenberg plugin (plugin will not load or register respective routines if Gutenberg blocks editor is detected)
- Cleanup of old name references
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.3.6
-------------
- Added option to "TS Circle Steps Item" to change circle background for each step individually
- Added option to "Image Slideshow" option for extended row options to activate effect on mobile devices
- Fixed missing alternative background image for "Image Slideshow" option on mobile devices if effect is deactivated
- Changed the default value for the setting "Exclude Unavailable" for all WooCommerce elements from "true" to "false"
- Fixed "PHP Warning: max(): Array must contain at least one element" for "Basic Products Image Grid" element
- Fixed "Fatal error:  Uncaught Error: Call to undefined function TS_VCSC_GenerateCustomCSS()" error when Enlighter theme editor is enabled
- Fixed "Uncaught TypeError: Cannot read property 'indexOf' of undefined" JS error when MooTools library is loading on the frontend
- Fixed "This plugin does not have a valid header" error message upon activation on some WordPress installations
- Fixed "$_SERVER["HTTP_REFERER"]" not found error when checking for AJAX requests via frontend editor
- Removed unnecessary WooCommerce version check due to extended load time on AJAX requests
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.3.5
-------------
- Fixed issue with lightbox not opening when the Plyr video script is not present

Version 5.3.4
-------------
- Fixed issue with "TS Circle Steps" element where a critical JS error was triggered whenever the first active step was also the first added step
- Added option to "TS Plyr Video Player" element to initially mute the video; required for some browsers for the optional autoplay
- Fixed issue with "TS Image Switch" element where custom color for optional text overlay did not get applied
- Updated Plyr script from v2.0.11 to v3.3.10
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.3.3
-------------
- Added option to "TS Conditional Output" to always use the WordPress timezone offset to better account for timezone changes due to sommer/winter time
- Added option to "TS Advanced Textblock" element to apply CSS columns to content
- Added option to "TS Image Gallery" element to define preloader animation for "Rectangle Grid" layout style
- Added options to "TS Circle Steps Item" element to select custom fonts for title and content sections
- Added option to "TS Circle Steps" element to set optional tooltips to always show, including animation delay between each tooltip
- Added option to "TS Circle Steps" element to define circle box shadow color
- Added option to "TS Circle Steps" element to trigger global resize event every time after step change occured
- Added option to "TS Video Vimeo" element to initially mute the video; required for some browsers for the optional autoplay
- Added options to "TS Countdown" element to customize utilized text strings from within element settings in addition to global translations
- Moved shortcode callback and element definition for "TS Countdown" element from separated files into dedicated class
- Added options to "TS Image Magnify" element to customize utilized text strings from within element settings in addition to global translations
- Moved shortcode callback and element definition for "TS Image Magnify" element from separated files into dedicated class
- Fixed "TS Video YouTube" element when iFrame with overlay option was used and the initially hidden iFrame was loading the same page content again
- Improved "TS Google Maps PLUS" + "TS Google Maps SINGLE" elements when only a KML layer for locations has been used
- Added setting options for background, border, margin, padding and z-index to "TS Sticky Content Block" element
- Fixed issue with "TS Sticky Content Block" where top offset is not correctly applied if fixed to window/section/row/column
- Fixed issue with "TS Posts Timeline" element where link target default setting between element and shortcode function differed
- Fixed display issue for row separator shape "Triangle Outwards" on Google Chrome browser
- Fixed "A non well formed numeric value encountered" warning in PHP 7.1.x or higher when viewing the "System Info" page within the settings section
- Updated internal PHP helper "Codestar" framework from v1.0.1 to v1.0.2
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.3.2
-------------
- Added new "Map Gesture Handling" setting option to "TS Google Maps PLUS" + "TS Google Maps SINGLE" elements and modified existing mouse wheel zoom setting due to API changes
- Made "Conditional Output" check routines and setting parameter compatible with end-of-life PHP versions of 5.5.x or less
- Fixed issue in "Conditional Output" check where user capabilities are not matched correctly
- Fixed issue in "Conditional Output" setting parameter where resetting "Visibility Condition" to "Visible to Everyone" did not reset the "User Conditions" input
- Fixed missing (invisible) icons in lightbox when using older Internet Explorer versions
- Switched WooCommerce elements from "get_gallery_attachment_ids" to "get_gallery_image_ids" calls due to function deprecation in WooCommerce
- Switched WooCommerce elements from "woocommerce_price" to "wc_price" calls due to function deprecation in WooCommerce
- Switched WooCommerce elements from "get_rating_html" to "wc_get_rating_html" calls due to function deprecation in WooCommerce
- Fixed "woocommerce price was called incorrectly" warning in all WooCommerce elements
- Fixed "woocommerce regular_price was called incorrectly" warning in all WooCommerce elements
- Fixed "order_by_rating_post_clauses is deprecated ... with no alternative available" warning in "Single Product Rating" element
- Fixed issue with Isotope script on "Jupiter" theme where theme is registering Modernizr without "addTest" function
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.3.1
-------------
- Fixed issue with lightbox script where images in portrait orientation or smaller than viewport size were distorted within lightbox

Version 5.3.0
-------------
- Added new "Custom Font Manager" to manually register external custom fonts with plugin to be used with plugin elements supporting font picker
- Added new "Conditional Output" settings parameter to control content output based on user roles, capabilities, device types, etc.
- Added "Conditional Output" settings to "TS Textblock Advanced" element to control content output
- Added "Conditional Output" settings to "TS Info / Notice Panel" element to control content output
- Added "Conditional Output" settings to "TS Countdown" element to control content output
- Added "Conditional Output" settings to "TS Panel Flip" element to control content output
- Added "Conditional Output" settings to "TS Icon Text Box" element to control content output
- Added "Conditional Output" settings to "TS Icon Info Box" element to control content output
- Added "Conditional Output" settings to "TS Creative Link" element to control content output
- Added "Conditional Output" settings to "TS Fancy List" element to control content output
- Added "Conditional Output" settings to "TS Spacer / Clear" element to control content output
- Added "Conditional Output" settings to "TS Sticky Content Block" element to control content output
- Added "Conditional Output" settings to "TS Time / Date Dependency" element to further control content output
- Renamed "TS Time / Date Dependency" element to "TS Conditional Output" in order to account for expanded scope of output conditions
- Added options to "TS Testimonial Form" element to control output of title, author and note fields (auto-generated title will be used if no title field is shown)
- Added new YouTube background option to extended row settings, retiring the currently existing "YouTube Video I" + "YouTube Video II" options (still listed as "Deprecated" options)
- Added option to "TS Icon Dual Button" element to switch from forced single line layout to a multi-line layout
- Added option to "TS Icon Dual Button" element to define internal breakpoint at which buttons will be stacked (for smaller screens)
- Added option to "TS Creative Link" element to define the text-transform setting for the link text
- Added option to "TS Image Lightbox" element to control image download option independently from global plugin lightbox settings
- Added option to "TS Image Gallery" element to control image download option independently from global plugin lightbox settings
- Fixed issue with "TS Image Gallery" element when using "Rectangle Grid" layout where overlay title are added even if not selected to do so
- Fixed issue with "TS Image Gallery" element when using "Flipster Slider" layout where opening active image in new tab instead of lightbox did not work
- Changed output for "TS Image Gallery" element when using "Rectangle Grid" layout to not use duplicated image elements when rendering the grid
- Added option to "TS Image Gallery" element when using "Pagawa Slider" layout to remove lightbox links from slider images or open links in new tab only
- Fixed issue with "TS Image Link Grid" element when using "Rectangle Grid" layout where image titles are not shown in overlay
- Fixes issue with "TS Icon Flex Button" element where button text is not visible on some themes
- Fixed issue with "TS Icon Text Box" element where default title font size between shortcode and element in VC differed
- Changed "TS Page Background" element to now show poster image on mobile devices if video background option has been used
- Added option to "TS Video YouTube" element to initially mute the video player
- Added option to "TS Image Advanced Overlay" to define font sizes for title and message text
- Added option to "TS Image Advanced Overlay" to allow title string to break into multiple lines for longer title strings
- Fixed issue with "TS iFrame Embed" element where using the simple custom image trigger for the lightbox did not correctly apply custom lightbox size settings
- Fixed issue with "TS Isotope Posts Grid" element where using the categories "only in" filter option for the grid output did not work correctly
- Added default WordPress timezone settings as information to "TS Time / Date Dependency" element
- Added additional checks for missing stroke/fill colors and fallback to default colors for overlays and curvelines to "TS Google Maps PLUS" element to prevent critical JS error if no colors are provided
- Improved load behavior for JS/CSS files when using "TS Single Page Navigator" feature for lighter footprint if certain setting options are not used
- Lightbox option to replace "PrettyPhoto" lightbox utilized by Visual Composer with add-on lightbox now extends to VC "Media Grid" element
- Lightbox option to replace "PrettyPhoto" lightbox utilized by Visual Composer with add-on lightbox now extends to VC "Image Carousel" element
- Made output for all post type elements compatible with 3rd party "Subtitles" plugin (https://wordpress.org/plugins/subtitles/)
- Plugin officially renamed to "Composium - WP Bakery Page Builder Extensions Addon" in order to reflect name change in base plugin "WP Bakery Page Builder"
- Renamed admin menu entry for plugin from "VC Extensions" to "Composium"
- Changed icon for plugin's admin menu entry to new WP Bakery icon for "WP Bakery Page Builder" plugin
- Updated 3rd party "noUiSlider" script from v9.2.0 to v10.1.0
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.2.8
-------------
- Updated 3rd party "colorpickeralpha" script from v1.2.0 to v2.1.2
- Fixed issue with RGBA color picker on settings and EnlighterJS theme designer pages with WP 4.9.x

Version 5.2.7
-------------
- Fixed "Cannot read property 'replace' of undefined" JS error with "TS Google Maps SINGLE" element after update to v5.2.5 or higher

Version 5.2.6
-------------
- Added option to "TS Page Background" element to disable looping of background slideshow
- Added option to extended row settings to disable looping of background slideshow
- Using the overlay option for "TS Video YouTube" element will now utilize a real lazy load where the iFrame content is only loaded when the overlay action is triggered
- Added option to "TS Icon Fonts" element to set icon size in pixel, points, percent em, rem, vh or vw
- Fixed issue with "TS Image Basic Overlay" element where background color for link button did not transfer correctly when rendering the page
- Restored column height equalizer setting option to inner row settings
- Updated jquery.mb.YTPlayer script to current release of v3.1.2
- Updated jquery.vegas script to current release of v2.4.0
- Updated reference file to access "Font Awesome (VC)" font within native Visual Composer plugin to v4.7.0
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.2.5
-------------
- Added new element "TS Sticky Content Block"
- Added option to "TS Fancy List" element to place icon/image list bullets either left or right
- "TS Fancy List" element has been redesigned to use CSS "flexbox" rules when using font icons as list bullet
- Added option to "TS Modal Popup" element to use another shortcode to render the modal popup trigger (provided that shortcode does NOT render links itself)
- Added option to "TS iFrame Embed" element to use another shortcode to render the modal popup trigger (provided that shortcode does NOT render links itself)
- Added option to "TS Image Switch" element to use external shortcode to determine dynamic ID for images to be used on front and back
- Added option to "TS Image PicStrips" element to use external shortcode to determine dynamic ID for utilized image
- Added option to "TS Fancy Tabs (BETA)" element to center horizontal tab cards
- Added option to "TS Fancy Tabs (BETA)" element to use a basic accordion layout as responsive behavior
- Added option to "TS Fancy Tabs (BETA)" element to add a separator line between the tab cards and the visible content section
- Added option to "TS Circle Steps" element to trigger global resize event after each step selection
- "TS Circle Steps" element will now use the original step content instead of a cloned version in order to better work with JS dependent step content
- "TS Circle Steps" element will now use flexbox rules for centering step content when using the left/right content position option
- Added option to "TS Circle Counter" element to repeat counter animation when viewport is reentered
- Added option to "TS Circle Counter" element to define if animation should be triggered if top/bottom/full (of) element is in viewport
- Added option to "TS Circle Counter" element to define animation delay from when viewport is triggered
- Added option to "TS Icon Counter" element to repeat counter animation when viewport is reentered
- Added option to "TS Icon Counter" element to define if animation should be triggered if top/bottom/full (of) element is in viewport
- Added option to "TS Icon Counter" element to define animation delay from when viewport is triggered
- Fixed issue with "TS Horizontal Timeline" element where step dates prior to 1901 could not be processed due to a PHP limitation (switched from PHP to MomentJS)
- Added option to "TS Horizontal Timeline" element to force left/right align the label for the first/last bullet on the timeline
- Added option to "TS Horizontal Timeline" element to define inner padding for step content section
- "TS Horizontal Timeline" element will now automatically show/hide the left/right navigation arrows next to the timeline if all bullets are visible based on element width
- Added option to extended row settings to allow background container to inherit its left and/or right padding from main row
- Updated "QuForm" element for 3rd party "QuForm" plugin to now be compatible with new plugin version and changed shortcode base
- Default quality level for YouTube preview images for "TS Video Youtube" element has been reset from "max" to the former "high" as not all videos have maximum resolution preview images 
- Added option to "TS Google Maps PLUS" element to assign searchable tags to each marker/overlay/curveline
- Search option for location selector in "TS Google Maps PLUS" element will now also search for matching group names and tags
- Search routines for "TS Google Maps PLUS" element will now match every word individually instead of a strict string match
- Added option to "TS Google Maps Marker", "TS Google Maps Overlay" and "TS Google Maps Curveline" element to assign a featured image to be shown within optional location selector
- Location listing for "TS Google Maps PLUS" element will now use a custom scrollbar
- Plugin will now user "CountUp" script instead of "CountTo" script for numeric counter animations
- Plugin will now provide tinyMCE icon button for optional "Iconicum" icon generator without requiring a confirmed license key
- Plugin will now also register its elements with Visual Composer when using the template editor from the 3rd party "Toolsets" plugin
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_PublicPostTypesSelect" notices/warning for post type elements if no custom post type has been enabled
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_PublicPostTypesDepend" notices/warning for post type elements if no custom post type has been enabled
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_PublicPostTaxosSelect" notices/warning for post type elements if no custom post type has been enabled
- Corrected some wrong tooltip contents within plugin's settings page
- Listing of deprecated elements within plugin settings now provides information about the corresponding replacement elements
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files 

Version 5.2.4
-------------
- "TS Google Maps PLUS" + "TS Google Maps SINGLE" elements will now load OpenLayer map tiles via secure "https" connection
- Added new "3.75:1" video ratio option to "TS Video YouTube", "TS Video Vimeo", "TS Video DailyMotion" and "TS Video Facebook" elements
- Fixed issue with lightbox where video sound continued to play even after the lightbox has been closed
- Fixed issue with "TS Plyr Video Player" element when used in lightbox impacting row shapes and backgrounds
- Some adjustments to "TS Circle Steps" element to better center element if left/right content position has been selected
- Fixed issue with custom tooltip content in "TS Circle Steps" element creating invalid HTML output
- Fixed issue with empty tooltip content in "TS Circle Steps" element still creating a blank tooltip
- Fixed issue with tooltip style and position not working in "TS Circle Steps" element if not using the default settings
- "TS Posts Slider", "TS Posts Ticker", "TS Posts Image Grid", "TS Posts Isotope Grid" and "TS Posts Timeline" elements now provide limited support for custom post types
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.2.3
-------------
- Added option to "TS Video YouTube" element to select quality level of YouTube cover image to be requested
- Added option to "TS Video YouTube" element to use single video preview image as cover (overlay) image for iFrame
- Added option to "TS Posts Slider" element to use an endless loop for the OwlSlider layout option
- Added option to "TS Google Maps PLUS" and "TS Google Maps SINGLE" elements to define different map initial center/home and zoom level for different map widths
- Significant rewrite of built-in lightbox solution to improve performance on mobile and touchscreen devices
- Added option to global lightbox settings to attach lightbox to all image links that do not carry any class names
- Added option to global lightbox settings to provide a direct download button for images shown within the lightbox
- Added option to lightbox script to show/hide thumbnail bar when viewing the lightbox
- Fixed missing custom top/bottom margin output for "TS Icon Flex Button" element
- Fixed issue with "TS SinglePage Navigator" element where using external "https" links will prevent the menu from fully initializing
- Fixed issue with "TS Fancy List" element where custom class name is not applied to element when rendering on frontend
- Fixed issue with "TS Icon Flex Button" element where custom class name is not applied to element when rendering on frontend
- Fixed unneccessary scrollbars for content section of "TS Teaser Block" elements if no fixed height content has been selected
- Fixed issue with some image gallery layouts where zoom and/or fullscreen buttons were not made visible when activated
- Updated internal "Font Awesome" font to current release of v4.7.0 (675 icons; duplicate icons with different names now removed from icon picker; will still render on frontend)
- Some improvements to "TS Loan Calculator" element when rendering in Visual Composer frontend editor mode
- Updated "enlighter.js" script used for EnlighterJS Syntax Highlighter elements from v2.10.1 to v2.11.1
- Updated "mootools.js" library used for EnlighterJS Syntax Highlighter elements from v1.5.3 to v1.6.0
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCENLIGHTER_Selector_Types" warning on Visual Composer Role Manager page
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCENLIGHTER_Selector_Themes" warning on Visual Composer Role Manager page
- Improvements to license check routine with additional error output in case a technical issue was encountered
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.2.2
-------------
- Added new element "TS Loan Calculator"
- Added option to "TS Video YouTube" element to send a video quality request to YouTube
- Added option to "TS Advanced Texblock" element to use either auto/fixed/maximum/minimum height settings for content
- Added option to "TS Advanced Texblock" element to use a custom scrollbar for fixed/maximum content heights
- Added option to "TS Teaser Block" and "TS Teaser Block Slide" elements to define custom border settings and radius
- Added option to "TS Teaser Block" and "TS Teaser Block Slide" elements to use a custom scrollbar for fixed content heights
- Improved usage for "TS Teaser Block" and "TS Teaser Block Slide" elements when no teaser link has been provided
- Added option to "TS Panel Flip" element to customize line height for front and back content independently
- Fixed "Undefined variable: front_icon_frame_class in ts_vcsc_shortcode_panel_flip.php" warning message for "TS Panel Flip" element
- Added option to "TS Google Maps PLUS" and "TS Google Maps SINGLE" elements to use map activation toggle for all device types
- Google map instances for "TS Google Maps PLUS" and "TS Google Maps SINGLE" elements are now exposed via JS variable "$TS_VCSC_Map_Instances"
- Fixed wrong y-axis tooltip offset for "TS Fancy Tabs (BETA)" element
- Fixed "Undefined index: title" for "TS Fancy Tabs (BETA)" element if no tab title has been provided
- Changed custom scrollbar routine for "TS Circle Steps" element from "NiceScroll" to "PerfectScrollbar" script
- Changed custom scrollbar routine for "TS Slit Slider" element from "NiceScroll" to "PerfectScrollbar" script
- Added option to "TS Circle Steps" element to define a fixed or maximum height for the content holder when shown below/above the circle
- Fixed issue with "TS Circle Steps" element where content is cut off on FireFox browser when shown below/above the circle
- Changed built-in font icon generator "Iconicum" to drop unnecessary inner SPAN element within icon syntax
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_VisualComposer_Version" warning when main Visual Composer plugin is deactivated
- Fixed "Use of undefined constant WPB_VC_VERSION - assumed WPB_VC_VERSION" warning when main Visual Composer plugin is deactivated
- Fixed occasional fatal error "Cannot use object of type WP_Error as array ts_vcsc_autoupdate.php on line 242" for 3rd party auto-update routine
- Fixed some spelling errors in German translation file
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.2.1
-------------
- Fixed issue with rogue space character at beginning of shortcode file for "TS Image Adipoli" element

Version 5.2.0
-------------
- Auto-update routine has been moved to an external service at "https://kernl.us" for better performance
- Auto-update notification page has been removed from plugin
- Included bonus feature "Iconicum - Font Icon Generator" can now be used by all users and does not require a valid license key anymore
- Removed unnecessary browser console messages for "TS Panel Flip" element
- Improved tab overflow behavior for horizontal layouts for "TS Fancy Tabs (BETA)" element
- All underscore shortcodes now properly extend "WPBakeryShortCodesContainer" or "WPBakeryShortCode" classes in Visual Composer
- Fixed issues with last update package where random additional empty lines appeared in some shortcode files due to file corruption
- Fixed inline style/script addition routine when plugin is globally set to load its core files on all pages
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.1.8
-------------
- Added support for custom icon font to icon picker parameters within "TS Image Advanced Overlay" element settings panel
- Added support for custom icon font to icon picker parameters within "TS ToTop Menu Item" element settings panel
- Added option to "TS Process Lines Item" element to add link to process title
- Fixed issue with icon picker parameter where custom uploaded icon font is showing twice
- Fixed issue with NivoSlider layout in "TS Image Gallery" element where gallery fails on mobile devices when not using the lightbox option
- Added option to "TS Image Adipoli" element to use tinyMCE editor for tooltip content
- Fixed issue with "TS Image Adipoli" element where optional tooltip does not show
- Added option to "TS Image SVG" element to use link for in-page navigation
- Unlocked input field for tab ID for "TS Single Tab (BETA)" element to provide custom ID name (default ID name will still be rendered initially)
- Fixed issue with "TS Fancy Tabs (BETA)" element where adding an icon animation can cause an "Undefined index: animation_type" debug notice
- Fixed issue with "TS Fancy Tabs (BETA)" element where disabling shadow and grow effect does not transfer to rendered tabs
- Fixed issue with "TS Fancy Tabs (BETA)" element where custom tabs content background color does not transfer to rendered tabs
- Improved/Fixed  "wp_style_is()" checks for some elements for output of custom CSS rules
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_ShowNotificationPage" warning if update notification feature has been deactivated
- Fixed some spelling errors in German translation file
- Made underlying JS backend routines backwards compatible to noUiSlider script v9.0.0 (currently using v9.2.0)
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.1.7
-------------
- Added option to "TS Horizontal Timeline Item" element to alternatively provide date (and time) for event via quick entry
- Added option to "TS Horizontal Timeline Item" element to automatically use event title as tooltip for timeline bullet
- Datepicker parameter for "TS Horizontal Timeline Item" element now allow dates prior to 01/01/1950 (1700 - 2050)
- Fixed wrong image icon for some button lightbox triggers in "TS Video Facebook" element
- Fixed synchronisation between two tandem toggles to enable/disable "Website Downtime Manager (BETA)" in plugin settings
- Fixed "Undefined property: VISUAL_COMPOSER_EXTENSIONS::$TS_VCSC_CustomPostTypesLoaded" warning on some admin pages
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.1.6
-------------
- Added option to downtime manager module to use custom maintenance.php file in "wp-content" folder as template for downpage
- Added option to downtime manager module to assign 503 or 200 header status (maintenance vs. coming soon) to downpage
- Downtime/maintenance page(s) from "TS Downtime Manager" will now output a "Retry-After" information to the page header
- Fixed Fatal error:  Call to undefined function TS_VCSC_CheckCurrentUserRoles() in ts_vcsc_registrations_downpage.php on line 67
- Plugin will now remove all custom metaboxes from 3rd party RevSlider + Essential Grid plugins on its own custom post types

Version 5.1.5
-------------
- Fixed Uncaught Error: Call to undefined function TS_VCSC_GetTheCategoryByTax() in ts_vcsc_widgets_elements.php .php on line 165 occuring on widgets page
- Fixed incorrect position for "TS Single Page Navigator" element if menu has been placed left or right side of the screen
- Changed single color background for extended row options to only set a minimum height for row if provided value is larger than "0" (zero)
- Strengthened opacity rule via "!important" for "TS Panel Flip" element to ensure back panel visibility on FireFox and Edge browsers

Version 5.1.4
-------------
- Fixed file registration for "ts-visual-composer-extend-galleries.min.js" which was registered as "ts-visual-composer-extend-galleries.min.min.js"
- Restored sales and rating summary in "View version x.y.z details." link on WordPress update page for plugin (auto-update routine)

Version 5.1.3
-------------
- Fixed Uncaught Error: Call to undefined function TS_VCSC_cURLcheckBasicFunctions() in ts-visual-composer-extend.php on line 2488 occuring on some admin pages

Version 5.1.2
-------------
- Added new element "TS Image GIF Player"
- Added new element "TS MP3 Audio Player"
- Added new element "TS Plyr Video Player"
- Added new element "TS Video Facebook"
- Element "TS Video HTML5" renamed to "TS Projekktor Video"
- Element "TS Audio HTML5" renamed to "TS Projekktor Audio"
- Added new "Simple Options Mode" for plugin settings page (enabled by default); extended mode available for more seasoned users
- Added 111 more Google fonts to "Google Fonts Manager", increasing overall font count from 707 to 818
- Added new element "TS Google Maps Curveline"
- Map marker picker for built-in markers for relevant Google map elements has been switched to a faster icon picker
- Google map elements will now also be loading the "geometry" library when requesting the API file from Google
- Restored overlay edit output via infowindow or browser console due to change in how Google returns overlay coordinates
- Increased optional vertical infowindow offset from -50/+50 to -100/+100 pixels
- Fixed negative infowindow offset values getting treated as positive values by switching from "parseInt()" to "parseFloat()" when retrieving value
- Fixed cannot read property "replace" of undefined in "jquery.vcsc.gomapplus.min.js" file when loading map markers via JSON with missing "group" parameter
- Fixed wp_add_inline_style was called incorrectly. Do not pass &#60;style&#62; tags to "wp_add_inline_style" error in "TS Textblock Advanced" element
- All elements outputting custom style sections will now attempt to use WordPress internal "wp_add_inline_style()" function first
- Added option to "TS Icon Info Box" element to use image as fore- and background icon instead of font icon
- Added option to "TS Icon Info Box" element to define strength and spacing of outer corner border effect
- Fixed issue with background slideshow for extendend row settings where progressbar is still showing even when deactivated in the row settings
- Fixed issue with "TS Image Full" where progressbar for slideshow layout is still showing even when deactivated in the row settings
- Fixed issue with "TS Page Background" where progressbar for slideshow layout is still showing even when deactivated in the row settings
- Added options to "TS Single Menu Item" element (part of "TS SinglePage Navigator") to create phone or skype links
- Fixed issue with "TS SinglePage Navigator" element when tooltips did not display correctly due to special characters in tooltip content
- Fixed issue with "TS Circle Steps" element where layout switches to mobile version on Salient theme with element width of 1,140px or more
- Added option to "TS Process Lines Item" element to define step icon animation as infinite, viewport or hover
- Added option to "TS Title Typed" element to define number of line breaks between each segment when showing all strings at the end of the animation
- Improved output of all title strings for "TS Title Typed" element by removing "|" characters which indicate end/start of individual segments
- Added option to global lightbox settings to use the browser back button to close the lightbox, instead of going back to the last page
- Added option to custom icon font page to forcibly use "file_get_contents()" function over "cURL" when reading the JSON file (helpful for localhost installations)
- Removed options and support for legacy Visual Composer entry animations for "TS Animation Frame" and "TS Icon Box (Deprecated)" elements
- Fixed image oversize/overflow issue in "TS Image Gallery" element when viewing "Flipster Slider" layout on Safari browser
- Changed "Pagawa Slider" layout in "TS Image Gallery" element to retrieve overlay title from ALT attribute to new "data-title" attribute instead
- Restored contextual help section for "VC Logos" custom post type previously missing due to a spelling error
- Adjusted load and register behavior for activated icon fonts for improved backend performance
- Adjusted load behavior for activated custom post types on backend for improved performance
- Dropped usage of "vc_generate_dependencies_attributes()" function for all custom parameters (deprecated in Visual Composer since v4.8.0)
- Downtime/maintenance page(s) from "TS Downtime Manager" will now correctyl set a "503 Service Temporarily Unavailable" status and header
- Fixed Google font not loading when clicking on load icon in Google Fonts Manager for individual fonts
- Fixed issue with NoUISLider setting parameters where value in input box receives 2nd number after using up/down arrows
- Custom icon font import routine will now check and force load the WordPress file system function "WP_Filesystem()" to ensure file access
- Plugin internal pre-memory check for activation now correctly handles memory limits provided as GigaBytes (G)
- Fixed wrong version output for plugin on system information page if more than one Tekanewa Scripts plugin with shared text domain is active
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.1.1
-------------
- Added option to "TS Image Posts Grid" to select image size (quality) for grid images (full, large, medium, thumbnail)
- "TS Image Posts Grid" element will now automatically bypass Jetpack Photon downsize filters
- Added option to "TS Google Maps PLUS" + "TS Google Maps SINGLE" elements to control if and how Google POI's should be provided
- Added option to "TS Google Maps Overlay" element to draw polyline segments as geodesic lines
- Improved "Flipster" layouts for "TS Image Gallery" element to better resize image if screen size falls below defined maximum image width
- Fixed missing color picker for "TS Icon Wall" element when defining the background color for the active wall icon
- Renamed a utilized JS function in order to prevent conflict with different function of same name in BuddyPress plugin, causing random "pos" text strings in tinyMCE editor
- Fixed JS conflict with WPML plugin when translating a page/post with the tinyMCE icon font shortcode generator activated
- Improved "Usage Statistics" compiler routine to prevent duplicate count of shortcodes with nested content
- Added new preloader animation style (for all elements able to utilize a preloader animation)
- Added new developer demo element "TS Preloader Animations" to generate a preview of any available preloader
- Internal noUiSlider script has been updated from v8.2.1 to v9.2.0
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.1.0
-------------
- Added new admin module to scan all pages and posts for usage of elements to compile statistics and provide an option to quickly deactivate all elements currently not utilized
- Added new element "TS Counter Odometer"
- Added new "TS Panel Flip" element to replace deprecated "TS Content Flip (Deprecated)" element
- Deprecated "TS Content Flip" element and subsequently renamed it to "TS Content Flip (Deprecated)"
- Added new developer element "TS Page Content Export" to output unprocessed page or post content
- Added new setting parameter for a base64 encoded tinyMCE editor, allowing for multiple tinyMCE editors per element (bypassing VC's internal limit of just one per element)
- All elements utilizing the "old" base64 encoded simple textarea for content entry have been moved to new base64 encoded tinyMCE editors for easier content formatting
- Added options to "TS Image SVG" element to define custom animation speeds for hover animated segments
- Added options to "TS Counter Circle" element to define font family and font weight for animated value and message
- Isotope grid elements can now be used multiple times on the same page (formerly limited to one such element per page)
- Fixed issue with "TS Fance Tabs (BETA)" element where element allowed to directly embed another tabs container and unrelated child elements of other container elements
- Added option to "TS Image Gallery" element to generate custom sizes for preview and thumbnail images (using routine provided by Visual Composer itself)
- Added new layout option "Flipster Slider" to "TS Image Gallery" element (providing 4 new styles: CoverFlow, Carousel, Flatline and Wheel)
- Added option to "TS Lightbox Image" element to generate custom size for preview and thumbnail images (using routine provided by Visual Composer itself)
- Added options to all teammate elements to better control tooltip positioning and styling
- Tooltip for "TS Image Caman" element has been transitioned to "ToolTipster" script from previous CSS tooltips only
- Tooltip for "TS Icon List Item" element has been transitioned to "ToolTipster" script from previous CSS tooltips only
- Added support for full tinyMCE editor for content for "TS Icon List Item" (shortcodes as content are not supported)
- Added option to "TS Modal Popup" to automatically trigger popup once element is in browser view
- Fixed greyfilter issue for SlickSlider + FlexSlider layouts in "TS Image Gallery" element
- Fixed layout issues and missing text strings in control elements for "TS Posts Timeline" element
- Added option to "TS Title Flipboard" element to define custom spacing between individual flip segments
- Added option to "TS Title Flipboard" element to only user number characters (plus dot and comma)
- Added option to "TS Google Maps PLUS" + "TS Google Maps Single" elements to define custom float breakpoint for SumoSelect selectboxes
- Added option to "TS Google Maps PLUS" element to define maximum zoom level for group filter routine
- Added support for product variations to all WooCommerce elements (cart link will now redirect to product page for variation selection)
- Initialization for "TS Fancy Tabs (BETA)" element will now occur on "document ready" event, insted of "page load" event for earlier rendering
- Fixed issue in "TS iPresenter" element, where autoplay option could be deactivated
- All elements using an icon picker have been switched to a built-in icon picker parameter for better performance and less memory usage, instead of registering icons with VC
- Fixed wrong element count for custom post types in plugin settings page
- Fixed issue with "TS Rating Scale" element, where element did not allow to save rating value anymore due to a JS error
- Restored missing viewport animation settings for inner rows that were accidentially removed with v5.0.8
- Built-in "Iconicum - WordPress Icon Fonts" icon code generator has been updated to use "ToolTipster" script for tooltips (removing "SimpTip" support)
- Updated "Mobile Detect" Helper Class from v2.8.19 to v2.8.22
- Plugin will now by default use Font Awesome library that is built into Visual Composer, instead of its own custom version (check settings after update)
- Plugin now supports manually set tooltip triggers for the ToolTipster script (requires specific class name and data attributes; see manual for more information)
- Plugin will now check for 3rd party "Elements for Users - Addon for Visual Composer" plugin to correctly register elements with that plugin as well
- Updated external links to new domains for update, demo and support websites
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.0.8
-------------
- Increased maximum visible image height for "TS Image Scroll" element from 600px to 1000px
- Added support for "TS Social Networks" element to use "tel:" for phone numbers and "skype:xyz?call" link attributes for skype user name (supported browsers only)
- Added additional safety check to "Jetpack" plugin detection call routine
- Fixed issue where native VC icon fonts or addon icon fonts sometimes trigger fatal error due to reference to sometimes invalid array
- Added "Material" icon font from Visual Composer (v5.0.0 or higher) to be used with addon elements that support icons
- Any activated and applicable extended row options are now also available for the new "Section" element in VC (requires Visual Composer v5.0.0 or higher)
- Other adjustments for better compatibility with new Visual Composer v5.0.0 or higher releases

Version 5.0.7
-------------
- Fixed PHP Fatal error "Call to undefined function TS_TablesVC_MinifyCSS()" in ts_vcsc_class_fancytabs.php file

Version 5.0.6
-------------
- Added options to "TS Spacer / Clear" element to make element height dependent upon screen width or element width itself
- Added option to "TS Single Hotspot" element to automatically show the hotspot tooltip after page load
- Fixed issue with "TS Single Hotspot" element where tooltip was still triggered via "hover", even though "click" was selected as trigger
- Added options to "TS Image Basic Overlay" element to define custom fonts for title, content and link button
- Added options to "TS Image Basic Overlay" element to customize color values for all overlay segments
- Added options to "TS Image Advanced Overlay" to define custom fonts for title and content
- Added option to "TS Image Advanced Overlay" to use basic HTML code for main content (non-icon based overlay styles)
- Added option to "TS Title Advanced" element to use gradient color as title background
- Added option to "TS Google Maps PLUS" element to show/hide location search bar based on screen width
- Added option to "TS Google Maps PLUS" element to show/hide Snazzy Maps style selector based on screen width
- Added option to "TS Google Maps PLUS" element to provide search input for Snazzy Maps style selector
- Added option to "TS Google Maps PLUS" element to show/hide group filter selector based on screen width
- Added option to "TS Google Maps PLUS" element to provide search input for group filter selector
- Added option to "TS Google Maps PLUS" element to show/hide location selector based on screen width
- Added option to "TS Google Maps PLUS" element to provide search input for location selector
- Added option to "TS Google Maps PLUS" element to show a more detailed location listing below the map
- Added option to "TS Google Maps PLUS" element to pre-filter map upon initial rendering by any existing group(s)
- Added option to "TS Google Maps PLUS" element to pre-filter map with dynamic URL parameters (will override any prefilters set in element settings)
- Added option to "TS Google Maps PLUS" element to show preloader animation during map rendering and filter processes (useful for large marker counts)
- Added option to "TS Google Maps PLUS" element to toggle (show/hide) section that contains advanced map features
- Added option to "TS Google Maps PLUS" element to define zoom level and map type to be used when selecting a marker via any of the available marker selectors
- Added option to "TS Google Maps PLUS" element to define map type to be used when selecting an overlay via any of the available marker selectors
- Added option to "TS Google Maps PLUS" element to define zoom level and map type to be used when adding new markers to the map via user search
- Added option to "TS Google Maps PLUS" element to select markers and/or overlays via external links/triggers (with specific syntax; see manual)
- Optional JSON data feed for "TS Google Maps PLUS" element now support parameters for custom marker icon size (icon_width + icon_height)
- Underlying script for "TS Google Maps ..." elements now attempts to check if map is embedded in native Visual Composer tabs/tour/accordion element and will trigger map to redraw tiles whenever a section with a map is made visible
- Added option to "TS Image Scroll" element to use with position memory, where image does only scroll back to top once fully scrolled to bottom first
- Fixed issue in "TS CSS Media Timeline" element where 2nd timeline item is not positioned correctly when using the row stack layout
- Added conditional check to "TS CSS Media Timeline" sub-element "TS Timeline Event" to check if title has been entered and supress wrapper output otherwise
- Added option to "TS CSS Media Timeline" element to provide search input for categories or tags filter selector
- Added option to "TS Posts Timeline" element to provide search input for categories or tags filter selector
- Fixed issue in "TS Posts Timeline" element where 2nd timeline item is not positioned correctly when using the row stack layout
- Added option to "TS Posts Timeline" element to also include posts with a status other than "publish"
- Added option to "TS Posts Isotope Grid" element to also include posts with a status other than "publish"
- Fixed issue in "TS Posts Isotope Grid" element where month break sections do not translate according to WordPress global language setting
- Added option to "TS Posts Image Grid" element to also include posts with a status other than "publish"
- Added option to "TS Posts Slider" element to also include posts with a status other than "publish"
- Added option to "TS Posts Ticker" element to also include posts with a status other than "publish"
- Added option to "TS Video YouTube" element to define aspect ratio for the direct iFrame used to embed the video
- Added option to "TS Video DailyMotion" element to define aspect ratio for the direct iFrame used to embed the video
- Added option to "TS Video Vimeo" element to define aspect ratio for the direct iFrame used to embed the video
- Added option to "TS Video Vimeo" element to set video to loop once finished playing
- Fixed issue in "YouTube II" background options where video keeps looping even if loop is disabled
- Fixed issue in "TS Image Lightbox" element where custom title is not assigned to lightbox
- Added option to "TS Image Switch" element to use tooltip with HTML content
- Added option to "TS Image Switch" element to apply modal popup click event to element if switch effect is triggered via hover or drag
- Added option to "TS Fancy Tabs (BETA)" element to define size for icons in tab index cards
- Added option to "TS Icon Text Box" element to define spacing between title and content section
- Fixed issue in "TS Horizontal Steps Item" element where wrong step image is shown if a step background image has been selected as well
- Fixed "Uncaught TypeError: Cannot read property 'hasClass' of undefined" error for icon font video lightbox trigger
- Fixed "Uncaught TypeError: Cannot read property 'removeClass' of undefined" error for icon font video lightbox trigger
- Modified CSS styling output for "TS Textblock Advanced" element to better counter global theme rules
- Plugin is now checking for utilzied PHP version and preventing some features from getting enabled if PHP version is deemed insufficient and in order to prevent fatal errors 
- Added option to global lightbox settings to enable/disable scanning of image URLs for HEX color information to be used as backlight
- Added option to global lightbox settings to remove Visual Composer "PrettyPhoto" lightbox script and attach this premium built-in lightbox instead (VC gallery + single image)
- Added target="blank" attribute to Pinterest share button to force share routine to open in a new tab/window
- Added option to plugin settings to allows usage of some container elements in nested levels with more then 2 sub-levels (not recommended as not officially supported by VC)
- Icon Fonts Manager in plugin settings section now provides links to the external (preview) pages of the respective authors
- Improved load behavior of "Codestar" framework to only be loaded and initialized on custom post types generated by this plugin
- Made plugins "Codestar" Framework init routine compatible with upcoming "Advanced Tables for Visual Composer" plugin to "share" framework
- Added option to plugin settings to disable the automatic assignment of Visual Composer to some custom post types (will require manual assignment in VC role manager instead)
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 5.0.5
-------------
- Added option to "TS Content Flip" element to show flip action indicator below element
- Fixed issue with "TS Content Flip" element where front panel HTML content did not render if backpanel was not set to HTML content as well
- Fixed issue with "TS Fancy Tabs (BETA)" element causing timeout error in Internet Explorer
- Dropped usage of enclosure functions to be backwards compatible to PHP 5.3.x or less

Version 5.0.4
-------------
- Fixed issue where all elements placed in a dedicated PHP class do not render and are not available when using Visual Composer in frontend editor mode
- Fixed custom post type elements in categories filter within Visual Composer element selection panel not getting assigned to their correct group

Version 5.0.3
-------------
- Added option to "TS Process Lines Item" element to use short text string as content for step icon (aside from existing font icon or image options)
- Added option to "TS Icon Text Box" element to align title, content and button to each other (if inner icon is placed left/right and title aligment matches)
- Fixed missing spacing in "TS Figure Navigation Item" element when no link has been added to element (resulting in missing link button)
- Fixed error in "TS Title Morphed" element where animation does not progress past first title string on some sites
- Removed magnifier overlay from images in "TS Image Gallery" element when "Slick Slider" layout without image link option has been selected
- Fixed "Slick Slider" layout not rendering correctly in "TS Image Gallery" element if no lightbox links are applied and lightbox not loading otherwise
- Fixed issue with missing JS file on plugin's settings page if plugin menu has been moved into the WordPress "Settings" directory
- Fixed "array_key_exists() expects parameter 2 to be array" error in ts-visual-composer-extend.php file (line 2102) if plugin settings have never been saved
- Fixed Parse error: syntax error, unexpected "[", error in "ts_vcsc_class_google_mapsplus.php" file for PHP versions less then 5.4.0
- Fixed unrecognized expression error in "ts-visual-composer-extend-posttypes.min.js" file when editing custom post types
- Fixed media library not opening when using "TS Video HTML5" element when attempting to add internal video to element

Version 5.0.2
-------------
- Fixed Parse error: syntax error, unexpected "[", expecting ")" error in "ts_vcsc_registrations_functions.php" file for PHP versions less then 5.4.0

Version 5.0.1
-------------
- Fixed missing padding for Composium elements in Visual Composer element selection panel when categories filter is disabled
- Fixed issue where VC editor does not render when the "Iconicum - Font Icon Generator" feature is enabled with the generator button placed next to the "Add Media" button

Version 5.0.0
-------------
- Added new feature "Downtime Manager" (BETA) to easily built downtime/maintenance pages with VC and place overall site into downtime/maintenance mode
- Added new feature "Sidebars Manager" to easily create custom sidebar areas for widgets
- Added new feature "Shortcode Viewer Popup" to quickly retrieve the underlying shortcode for each element (backend editor only)
- Added new feature to collapse (toggle) container elements in Visual Composer when editing (backend editor only)
- Added new feature to filter all Composium add-on elements in Visual Composer element selection panel by sub-categories
- Added option to "TS Processes" element to define icon/image container size for layout styles 1 + 3
- Added new "TS Process Lines" element to replace deprecated "TS Processes (Deprecated)" element
- Deprecated "TS Processes" element and subsequently renamed it to "TS Processes (Deprecated)"
- Added new "TS Title Morphed" element to replace deprecated "TS Title Ticker (Deprecated)" element
- Deprecated "TS Title Ticker" element and subsequently renamed it to "TS Title Ticker (Deprecated)"
- Added new element "TS Icon Info Box"
- Deprecated "TS Row Center Frame" element (as Visual Composer itself now provides vertical column alignment options) and subsequently renamed it to "TS Row Center Frame (Deprecated)"
- Adjusted "TS Countdown" element to pull date/time set for downtime mode for easier synchronization
- Added option to "TS Page Background" element to use single color as background
- Added option to "TS Page Background" element to use color gradient as background
- Added option to "TS Image Gallery" element to use "NivoSlider" layout with on demand loading of images (lazyload)
- Added option to "TS Image Gallery" element to show or hide images titles in "Pagawa Slideshow" layout
- Added option to "TS Icon Fonts" element to be used as fixed "Go To Top" link with animation/easing
- Added option to "TS Google Maps PLUS" and "TS Google Maps Single" elements to use custom infowindow style
- Added option to "TS Google Maps PLUS" element to use multiple groups for each marker/overlay
- Added option to "TS Google Maps PLUS" element to select from 10 pre-defined marker clusterer styles
- Added option to "TS Google Maps PLUS" element to define custom clusterer marker icon(s) for up to 5 levels
- Added option to "TS Google Maps PLUS" element to support placeholder item in marker selection box (including option to translate/change placeholder text)
- Added option to "TS Google Maps PLUS" and "TS Google Maps Single" to define marker size for all custom markers (media library and external)
- Added option to "TS Google Maps PLUS" and "TS Google Maps Single" elements to show/hide fullscreen control button
- Added option to "TS Google Maps PLUS" and "TS Google Maps Single" elements to automatically add markers based on user searches to the (optional) marker select box
- Added option to "TS Google Maps PLUS" and "TS Google Maps Single" elements to prevent the automatic creation of an infowindow for markers based on user search
- Added option to "TS Google Maps PLUS" and "TS Google Maps Single" elements to exclude the automatic addition of Google links for infowindows of markers based on user search
- Added option to "TS Google Maps Marker" and "TS Google Maps Overlay" sub-elements to assign a custom ID to every marker/overlay
- "TS Google Map PLUS" now also supports overlays als option in the group filter and "zoom to" selectors
- Added option to "TS iFrame Embed" element to use an (experimental) auto-height routine for embedded pages from the same domain as main page
- Added option to "TS Image Gallery" element to set separate titles for preview overlay and lightbox
- Added option to "TS Image Gallery" element to retrieve overlay titles for images from WordPress media meta data (title, caption or description)
- Added option to "TS Image Gallery" element to retrieve lightbox titles for images from WordPress media meta data (title, caption or description)
- Added option to "TS Image Gallery" element to select the preloader animation (currently 22 preloaders available) for the "Polaroid Stack" layout
- Added option to "TS Image Lightbox" element to retrieve overlay title for image from WordPress media meta data (title, caption or description)
- Added option to "TS Image Lightbox" element to retrieve image title for lightbox from WordPress media meta data (title, caption or description)
- Changed wrapper for content output in "TS Image Basic Overlay" element from paragraph (P) to a normal DIV
- Changed wrapper for content output in "TS Image Advanced Overlay" element from paragraph (P) to a normal DIV
- Added option to "TS Image Gallery" element to force CORS requests on individual galleries, even if disabled in global lightbox settings
- Fixed issue in "TS Image Gallery" element when using "Freewall" grid layout, where grid disappears when screen size drops below selected minimum width for grid items
- Fixed issue in "TS Image Link Grid" element when using "Freewall" grid layout, where grid disappears when screen size drops below selected minimum width for grid items
- Added option to "TS Image Lightbox" element to force CORS request on image, even if disabled in global lightbox settings
- Added option to "TS Image Switch" element to define custom color for slide indicator bar (when using slide transition)
- Added option to "TS Image Switch" element to show/hide shadow effect for slide indicator bar (when using slide transition)
- Added option to "TS Image Scroll" element to show image inside imitation browser frame
- Added option to "TS Image Scroll" element to assign easing animation to image scroll
- Changed control icons for "TS Image Magnify" element in "Zoom Buttons" layout font standard text characters to font icons
- Added option to "TS Image iHover" element to group element with other elements if lightbox event option is used (a default group name is preset)
- Added option to "TS Image Advanced Overlay" element to group element with other elements if lightbox event option is used (a default group name is preset)
- Added option to extended row settings to allow usage of "Particlify" background effect on mobile devices
- Added option to extended row settings to use page/post featured image as row background
- Added option to "TS Page Background" element settings to use page/post featured image as page background
- Changed list parser for "TS Fancy List" element to use case-insensitive str_ireplace() instead of str_replace() function
- Added option to "TS Title Typed" element to use basic HTML code and special characters for title strings
- Added option to "TS Title Typed" element to define delay before all title strings are shown after the last animation has finished
- Added option to "TS Title Typed" element to add additional fixed string after the animated text strings
- Added option to "TS Icon Wall" element to use gradient or image background for icon wall elements (aside from standard single color background)
- Added option to "TS Icon Wall" element to either align the last row to the left (LTR) / right (RTL), or to attempt to center elements as much as possible
- Added option to "TS Icon Wall" element to define font type, font size, font transform, font decoration, font weight, text align, padding and border for section titles
- Added option to "TS Icon Wall" element to define font type and size for content sections
- Added option to "TS Icon Wall Item" element to use image instead of font icon as main content
- Added RTL (right-to-left) layout option to "TS Icon Wall" element
- Fixed stacked layout for "TS Icon Wall" element when icon wall results in more than two rows
- Changed "Flipstyle" layout in "TS Countdown" element to resize (5 sizes) based on countdown width, instead of screen width CSS media queries
- Added option to "TS Single Teaser Block" and "TS Teaser Block Slide" elements to optionally use full tinyMCE editor for message content
- Added option to "TS Single Teaser Block" and "TS Teaser Block Slide" elements to define minimum/fixed height for text section/overall element, or minimum element height
- Added option to "TS Posts Slider" element to include only predefined post categories (instead of excluding specific ones)
- Added option to "TS Posts Ticker" element to include only predefined post categories (instead of excluding specific ones)
- Added option to "TS Posts Timeline" element to include only predefined post categories (instead of excluding specific ones)
- Added option to "TS Posts Timeline" element to allow to deselect all filter criteria (for large criteria listings, if one wants to quickly limit to just a few)
- Added option to "TS Posts Timeline" element to select the preloader animation (currently 22 preloaders available)
- Added option to "TS Posts Timeline" element to define columns order (LTR / RTL) for "Dual Columns with Center Spine" layout
- Added option to "TS Posts Timeline" element to force each section into its own row for "Dual Columns with Center Spine" layout
- Added option to "TS Posts Timeline" element to customize the left/center/right (spine) line
- Added option to "TS Posts Timeline" element to customize width and alignment of optional post link buttons
- Added option to "TS Posts Image Grid" element to include only predefined post categories (instead of excluding specific ones)
- Added option to "TS Posts Isotope Grid" element to include only predefined post categories (instead of excluding specific ones)
- Added option to "TS Single Hotspot" element to show or hide hotspot based on an overall min/max element width
- Added option to "TS Single Hotspot" element to show additional information for each hotspot below hotspot image (instead of showing it in a modal popup)
- Added option to "TS Single Hotspot" element to use circle/square image as individual hotspot
- Added option to "TS Single Hotspot" element to open main hotspot image in lightbox
- Added option to "TS Figure Navigation" element to auto-open active item upon page load on mobile devices as well
- Added option to "TS Rating Scale" element to define custom maximum rating value between 3 - 10 (default 5)
- Changed tooltip feature for "TS Rating Scale" element element to use the more advanced ToolTipster script
- Added option to "TS Circle Counter" element to assign tooltip to counter
- Significantly improved rendering speed for "TS Fancy Tabs (BETA)" element (layout rendered via server now, instead of JS DOM manipulations)
- Added option to "TS Fancy Tabs (BETA)" element to select the preloader animation (currently 22 preloaders available)
- Added option to "TS Fancy Tabs (BETA)" element to define custom font and font size for tab index cards
- Added RTL (right-to-left) layout option to "TS Horizontal Steps" element
- Added option to use full tinyMCE editor to "TS Horizontal Steps Item" element to provide individual step content
- Added option to "TS Horizontal Steps Item" element to use single color, gradient or image as background for step headers
- Added option to "TS Horizontal Steps Item" element to use header in "background + icon", "background only" or "icon only" styles
- Added option to "TS Horizontal Steps Item" element to select between multiple radius options for the steps header border
- Added option to "TS Horizontal Steps Item" element to define default and hover color for the steps header shadow
- Added option to "TS Figure Navigation" element to define spacing between individual navigation items
- Added option to "TS Figure Navigation" element to trigger global (page wide) close event for all navigation items (including other containers) when opening one
- Added option to "TS Inspired Pricing (Single)" + "TS Inspired Pricing (Item)" elements to also link entire table with or without text button
- Changed tooltip feature for "TS Singe Teammate", "TS Teammate Slide" and "TS Teammates Slider 2" elements to use the more advanced ToolTipster script
- Changed tooltip feature for "TS Teampage Section" element to use the more advanced ToolTipster script
- Added "Circle without Rotate" and "Square without Rotate" as layout option for the featured image to all teammate elements
- Added option to output dedicated page link button to "TS Teampage Section" element
- Added option to "TS Video HTML5" element to forcibly enable auto-play on mobile devices
- Added option to "TS Audio HTML5" element to forcibly enable auto-play on mobile devices
- Added option to "TS Audio HTML5" element to select (optional) tooltip style for fixed player position
- Added new "TS Timeline Break" element to be used with "TS CSS Media Timeline" element without post type dependency
- Added new "TS Timeline Event" element to be used with "TS CSS Media Timeline" element without post type dependency
- Renamed "TS Timeline Section" element to "TS Timeline Post" element in order to better highlight post type dependency
- Added option to "TS CSS Media Timeline" element to allow to deselect all filter criteria (for large criteria listings, if one wants to quickly limit to just a few)
- Added option to "TS CSS Media Timeline" element to select the preloader animation (currently 22 preloaders available)
- Added option to "TS CSS Media Timeline" element to define columns order (LTR / RTL) for "Dual Columns with Center Spine" layout
- Added option to "TS CSS Media Timeline" element to force each section into its own row for "Dual Columns with Center Spine" layout
- Added option to "TS CSS Media Timeline" element to customize the left/center/right (spine) line
- Added option to "TS CSS Media Timeline" element to control styling for most timeline segments
- Fixed missing output of activated icon fonts + icons when using the developer "TS System Information" element
- Fixed wrong output for "Iconicum - Icon Generator" status when using the developer "TS System Information" element
- Added new developer element "TS PHP Info Summary" to easily use and output phpinfo() function
- Added support for "|comma|", "{comma}" or "/comma/" placeholder strings (without quotation marks) for all setting inputs that use an actual comma as indicator for a linebreak / new item
- Adjusted some internal routines to NOT load or process ANY Visual Composer relevant files unless site is detected to be editing a page or post
- Changed browser detection helper class from "Browser" to "Wolfcast BrowserDetection" in order to be compatible with PHP 7.x
- Added new "Mono Social" icon font from Visual Composer to selection of available fonts in plugin settings
- Lightbox will now automatically hide WordPress admin bar once opened, and restore (show) once closed
- Added new basic transition option "Simple Switch" to lightbox script
- Added option for basic image download protection (right click / drag) to lightbox settings
- "Update Notification" page has been moved from "Dashboard" section to plugin menu section ("VC Extensions") in order to be less intrusive
- "Update Notification" feature is now split into admin menu bar entry (default disabled) and notification page (default enabled) in order to be less intrusive
- Added option to store YouTube API key globally in plugin settings and/or individually in "TS Video YouTube" element (when needed)
- Cover image requests for YouTube playlists and users are now using the newer API v3.x instead of the deprecated v2.x version
- Dropped usage of eval() in YouTube XML return processing due to switch to new API which now returns JSON string (will also remove false positives in Wordfence scans)
- Custom icon font import routine is now checking for dual- or multi-colored icons and will cancel import as those icons are not supported by Visual Composer
- Metaboxes framework for custom post types has been switched from "CMB" to "Codestar"; existing posts will migrate automatically
- Added option to plugin settings to enable/disable support for shortcodes in the WordPress standard text widget
- Added option to plugin settings to enable/disable the native WordPress auto-paragrpah routine for content/excerpts
- Added option to advanced border setting parameter to use quick mode in order to equally define settings for all sides
- Added option to advanced link picker parameter to set REL attribute for link and pull REL setting from default VC link picker when switching
- Added various options to create a custom set of extended row features, based on user needs, instead of globally enabling all available row features
- Adjusted some system check/summary routines to be fully compatible with PHP 5.5.x (thank you Brandon Dove for providing the code)
- Fixed wrong counter for number of active elements (and child-elements)
- Fixed "Only variables should be passed by reference" strict error message in TS_VCSC_VideoID_Youtube() function
- Fixed "Only variables should be passed by reference" strict error message in TS_VCSC_VideoImage_Youtube() function
- Fixed occasional "Uncaught RangeError: Maximum call stack size exceeded" JS error when saving plugin settings
- "Smooth Scroll (BETA)" feature has been removed from plugin as many themes provide their own solution and more and more browsers now include a built-in smooth scroll
- Internal isMobile.js device type detections has been updated from v0.3.5 to v0.4.0
- Internal Freewall script has been updated from v1.0.4 to v1.0.6
- Internal SumoSelect script has been updated from v2.1.0 to v3.0.2
- All CSS rules for image manipulation elements have been moved into a dedicated CSS file (out of the plugin's main CSS file)
- Introduced additional easy to use setting parameters to be expanded on all existing elements with future updates
- Modified style rules for custom parameters used throughout element settings panels for a more uniform and modern look
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 4.3.10
--------------
- Added option to plugin settings to store a Google Maps API key to be used when loading the maps API file from Google
- Fixed missing marker clusterer icons for "TS Google Maps PLUS" element due to change in GitHub hosting

Version 4.3.9
-------------
- Fixed error "call to undefined function TS_VCSC_GetImageMetaData()" in shortcode function for "TS Image Lightbox" element
- Fixed "Undefined offset: 1" error messages in "TS Image Link Grid" element
- Fixed missing link title overlays for "TS Image Link Grid" element when using "Rectangle Auto Image Link Grid" layout
- Fixed missing product name overlays for "Basic Products Image Grid" element when using "Rectangle Auto Posts Grid" layout

Version 4.3.8
-------------
- Added support for shortcodes in optional modal popup content for "TS Single Hotspot" element
- Added option to "TS Single Hotspot" element to allow usage of full tinyMCE editor for optional modal popup content
- Added option to "TS Image Hotspot" element to define container height to be either "100%" or "auto"
- Added string translation via get_post_time() for break sections (month + year) in "TS Posts Timeline" element
- Increased maximum font size for "TS Title Advanced" element from 70px to 250px
- Fixed issue where the first entry in "TS Fancy List" element is omitted on the frontend, if the "wpautop" filter in WordPress is utilized
- Fixed issue in "TS Logo Layouts" element where selecting link target "_parent" still results in "_blank" instead
- Added additional check for "wp_get_attachment_image_srcset()" function in "TS Image Lightbox" element for WP versions older than 4.4.x
- Fixed player control buttons issue with "YouTube Video I" and "HTML Video I" row backgrounds when multiple row backgrounds of that type are used on the same page
- Increased license check timout from 5 seconds to 60 seconds to better account for unresponsive or slow Envato API connections

Version 4.3.7
-------------
- Added option to "TS Image Basic Overlay" element to define responsive width in percent of column width and element alignment
- Changed tooltip feature for "TS Image Basic Overlay" element to use the more advanced ToolTipster script
- Fixed "transition is not defined error" in "Polaroid Stack" layout in "TS Image Gallery" element due to missing JS file
- Fixed CSS layout issue for control elements when position "center bottom" in "Polaroid Stack" layout in "TS Image Gallery" element
- Restored custom lightbox background color functionality which broke with v4.3.6
- Restored missing toggle styling for "Iconicum" icon generator feature

Version 4.3.6
-------------
- Fixed "Polaroid Stack" layout in "TS Image Gallery" element not rendering on WP 4.5.x
- Fixed issue with "TS Image Gallery" element where "Rectangle Grid Layout" does not initialize when using external images as source
- Added additional trim() routine to link target attributes to remove leading space character added by Visual Composer

Version 4.3.5
-------------
- Fixed error message "$row_styles" undefined for some row background types on mobile devices

Version 4.3.4
-------------
- Fixed issue with "TS Fancy Tabs" element in backend editor where WP 4.5 triggers a "Syntax error, unrecognized expression" error due to jQuery 1.12.1

Version 4.3.3
-------------
- Changed lightbox to only close "info/about" section (if opened) when using "ESC" button, instead of closing whole lightbox
- Fixed issue in lightbox where lightbox sometimes remains "stuck" on last image when "Simple Fade" transition has been used
- Improved pinch module in lightbox when image is shown after enlarging it via "plus" icon and hammer.js v2.x is used
- Fixed "Uncaught TypeError: Cannot read property buttonPin of undefined" in lightbox social share button for Pinterest
- Added check to underlying "Circle Steps" script to stop executing if no steps have been added to element (would otherwise cause critical JS error)
- Fixed URL output for "TS Image Link Grid" element when using group builder data entry option
- Fixed issue in "TS Figure Navigation" element when clicking on link button in menu items does not work when menu itself is opened/closed via click event
- Fixed notice for undefined variable "id_width" in "ts_vcsc_parameter_advancedsetting.php" file
- Fixed issue in elements with advanced styling parameters when using German or Spanish language domain, where some generated CSS code is accidentially translated
- Fixed issue in "TS Image Hotspot" element where disabling responsive hotspot sizes and selecting the fixed large size prevents the pulse effect from working
- Other CSS + JS Improvements

Version 4.3.2
-------------
- Fixed fatal "undefined function get_current_screen()" error on some admin pages when using the 3rd party "MyCurator" plugin
- Changed internal PHP function "TS_VCSC_MinifyHTML" to not use anonymous callback for "preg_replace_callback()" to allow usage on PHP versions less than 5.3.0

Version 4.3.1
-------------
- Added option to "TS Image iHover" element to define custom color for content background layer
- Added option to "TS Modal Popup" element to define tooltip entry/exit animation
- Added option to "TS Content Flip" to define how front/back title should be wrapped (H1 - H6)
- Fixed error message "Undefined variable: table_defaults" for "TS Inspired Pricing" element
- Fixed issue with external row background images not rendering for some background types
- Fixed array error message in "ts_vcsc_paramater_viewportoffset.php" file in extended row settings
- Fixed autoplay not working for "TS Image Full" element when using slideshow feature

Version 4.3.0
-------------
- Added new element "TS Textblock Advanced"
- Added new element "TS Wave Fill Gauge"
- Added new element "TS Icon Flex Button"
- Added new element "TS Image 3D TiltFX"
- Added new element "TS Inspired Pricing Table"
- Renamed existing element "TS Pricing Table" to "TS Basic Pricing Table"
- Added option to "TS Almost Anything Slider" element to select between OwlSlider or SlickSlider
- Stopped "TS Almost Anything Slider" element from loading some unneccessary extra CSS files
- Added option to "TS Font Icons" element to be used for in-page navigation with smooth scroll
- Added option to "TS Font Icons" element to apply an inifinite (endless) CSS3 animation
- Added options to "TS Font Icons" element to define custom top and bottom margin
- Changed tooltip feature for "TS Font Icons" element to use the more advanced ToolTipster script
- Fixed hover animation for "TS Font Icons" element not getting applied correctly
- Added option to all button/link elements to be used for in-page navigation with smooth scroll
- Fixed issue with all button/link elements where tooltip theme selection did not save
- Added option to "TS Icon Flat Button" element to define entry/exit animation for tooltip
- Added option to "TS Creative Links" element to define entry/exit animation for tooltip
- Added option to "TS Video Youtube" element to define entry/exit animation for tooltip
- Added option to "TS Social Networks" element to define entry/exit animation for tooltip
- Added option to "TS Icon Box" element to define entry/exit animation for tooltip
- Added option to "TS Dual Buttons" element to define entry/exit animation for tooltip
- Added option to "TS Dual Buttons" element to define viewport animation for each button and separator
- Added option to "TS Icon Box" element to define custom theme color for tooltip and enabled/disable tooltip arrow
- Added option to "TS Fancy List" element to use font selector
- Added option to "TS Image Gallery" element to disable the hover rotate effect for the honeycombs layout
- Added option to "TS Google Charts" element to define legend position for "column" and "line" layouts
- Fixed issue with some elements where setting a different tooltip color style did not safe correctly in VC v4.8.x or higher
- Fixed issue in "TS Google Maps PLUS" element where using the group filter did not correctly zoom/scale map
- Added 22 additional icons to "Social Media Font"
- Added support for "VKontakte" and "Wikipedia" to "TS Social Networks" element
- "TS Image Lightbox" element will now automatically pull the ALT information set in WordPress if no custom ALT string provided
- "TS Image Adipoli" element will now automatically pull the ALT information set in WordPress if no custom ALT string provided
- Changed tooltip feature for "TS Image Adipoli" element to use the more advanced ToolTipster script
- "TS Image Switch" element will now automatically pull the ALT information set in WordPress if no custom ALT string provided
- Changed tooltip feature for "TS Image Switch" element to use the more advanced ToolTipster script
- Added new layout "Slick Image Slider (No Thumbnails)" to "TS Image Gallery" element
- Added new layout "Slick Image Slider (With Thumbnails)" to "TS Image Gallery" element
- "TS Image Gallery" element will now check if there is an image for each entered title/alt string (fixed issue with phantom images)
- Added option to hotspots in "TS Image Hotspots" element to use viewport entry animation (with optional delay)
- Added option to "TS Figure Navigation" element to be used for in-page navigation with smooth scroll
- Added option to "TS Figure Navigation" element to either push page content below or place items on top of content
- Added option to "TS Figure Navigation" element to show or hide box-shadow for each item
- Added option to "TS Figure Navigation" element to use without displaying the name sake figure handle at the top
- Changed tooltip feature for "TS Figure Navigation" element to use the more advanced ToolTipster script
- Added option to WooCommerce "Basic Products Image Grid" to define size of preview image based on WordPress settings
- Added option to "TS Image Link Grid" to either provide required data via repeatable group settings or as quick entry via text areas
- Restored missing play buttons for "TS Video HTML5" and "TS Audio HTML5" elements on mobile devices
- Modified extended row settings to ignore a min-height setting of 0 (zero) to prevent conflicts with native full height option in VC
- Added some additional shapes to row separator options
- Added option to extended row settings to use an external image as background
- Added option to extended row settings to add fixed back- and foreground layers to the animated image for parallax and automove backgrounds
- "VC Widgets" post type has been renamed to "VC Templates" post types to hightlight extended functionality
- "VC Templates" post type has been set to private and Visual Composer will automatically be enabled for it
- Custom CSS code used in "VC Templates" posts will now automatically be minified on frontend
- Added feature to "TS VC Template" element to provide direct edit link to widget/template post within VC controls
- VC Templates added to the sidebar on the widgets page now also show a link to edit the selected widget/template directly
- Custom CSS and JS code entered in the plugin's custom code editors will also be minified on frontend
- Any styling rules generated through elements (shortcodes) will also be minified
- All element icons are now combined in one single sprite image for faster loading and less server requests
- Modified the tooltipster.js script to allow for custom theme settings for individual tooltips
- Modified the lightbox script to trigger a browser event whenever the lightbox opens (to be used for the modal popup to then trigger a browser resize event)
- Fixed issue with Templatera plugin, where VC is showing a non-functioning plus icon instead of the Templatera icon when editing posts
- Updated Font Awesome Font to v4.5.0 (adding an additional 20 icons)
- Fixed stylesheets for internal VC icon fonts not loading anymore on icon preview and generator setting pages
- Fixed issue with theme editor for EnlighterJS Syntax Highlighter not correctly rendering custom CSS
- Removed reliance on flash based zclipboard.js to JS only clipboard.js script for icon shortcode generator (copy shortcode + HTML code)
- Modified structure of settings page to better guide users to element relevant sections
- Switched from Messi script to SweetAlert script for internal popups (alerts, warnings, errors, etc.)
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files

Version 4.2.5
-------------
- Fixed issue where internal version check routines treat VC v4.10/4.10.0 as v4.1.0 instead
- Fixed issue with hotpot image toggle feature not working due to srcset attribute set on hotspot image
- Fixed array warning in PHP 7.x for "TS Fancy Tabs (BETA)" element when editing page/post
- Fixed "GoPricing Tables" element not finding tables anymore after updating GoPricing plugin to v3.x

Version 4.2.4
-------------
- Fixed "Uncaught TypeError: Cannot read property 'createDocumentFragment' of undefined" for "TS Title Textillate" element

Version 4.2.3
-------------
- Fixed error "Uncaught TypeError: jQuery(...).TS_VCSC_ClassyGradient is not a function" error for settings panels with advanced gradient editor

Version 4.2.2
-------------
- Fixed background / pattern selector not working correctly for some elements

Version 4.2.1
-------------
- Fixed reference for "ts-visual-composer-extend-settings.js" file to "ts-visual-composer-extend-settings.min.js" to fix settings panel
- Fixed spelling error in settings panel

Version 4.2.0
-------------
- Added new element "TS Time / Date Dependency" to show or hide content based on date and time criteria
- Added new element "TS VC Widget / Template" to use "VC Widgets" post type for templates and embed outside of sidebars (limitations apply)
- Added new advanced link picker parameter that uses page/post ID instead of fixed link (useful if permalinks change frequently)
- Added option to allow parallax row background effect on mobile devices
- Added option to allow movement row background effect on mobile devices
- Added option to allow auto-move row background effect on mobile devices
- Changed auto-movement routine for row backgrounds to use requestAnimationFrame for smoother animation
- Added option to "TS Image Gallery" element to define ALT tags for all images
- Added options to "TS Image Lightbox" element to fully control overlay styling and content
- Added options to "TS Video YouTube" element to fully control overlay styling and content (image lightbox triggers only)
- Added options to "TS Video DailyMotion" element to fully control overlay styling and content (image lightbox triggers only)
- Added options to "TS Video Vimeo" element to fully control overlay styling and content (image lightbox triggers only)
- Added options to "TS Video HTML5" element to fully control overlay styling and content (image lightbox triggers only)
- Added options to "TS Products Ticker" (WooCommerce) to change some text strings
- Added option to "TS Circle Steps" element to better adjust for pages in RTL layout
- Added option to "TS Circle Steps" element to apply background image to circle (either in rotating or fixed position)
- Added option to "TS Circle Steps" element to apply gradient background to circle (either in rotating or fixed position)
- Added options to "TS Circle Steps" element to define left/right and top/bottom offsets for circle
- Fixed "TS Circle Steps" element not rendering column layout on small screen devices
- Fixed issue with "TS Circle Steps" element where step icons do not position correctly on sites with RTL layout
- Added option to "TS Icon Box" element to use gradient as background
- Added options to "TS Icon Box" element to place icon to the right of title or right side of box (based on layout)
- Added option to "TS Icon Flat Button" to select border radius
- Added options to "TS Icon Flat Button" to define custom colors for all button aspects
- Added options to "TS Icon Dual Button" to define custom colors for all button aspects
- Updated EnlighterJS syntax highlighter script to v2.10.1
- Added new "Minimal", "Atomic" and "Rowhammer" themes to "TS EnlighterJS" elements
- Added support for "Cython", "Squirrel", "General Assembly" and "LUA" programming languages to "TS EnlighterJS" elements
- Fixed issue with "TS Almost Anything Slider" element where attempting to edit embedded elements always opened slider settings
- Fixed column background color option for "Basic Style with Columns" in "TS Countdown" element not saving correctly
- Fixed "Creative Zoe" icon link conflicts with "Salient" theme in "TS Image Advanced Overlays" element
- Fixed layout issues for "TS Icon Flat Button" element when hover color option has been used
- Fixed issue with "TS Icon List Item" element where assigned animations did not save in shortcode in VC 4.8.x or higher
- Fixed ligthbox script not loading for "TS Video HTML5" element when video set to open in lightbox
- Changed "Pagawa Slider" layout for "TS Image Gallery" element to always use "thumbnail" size for slider thumbnails
- Fixed thumbnail alignment issue for "Pagawa Slider" layout for "TS Image Gallery" element when using the BeTheme
- Added blank, letter and number markers to "TS Google Maps PLUS + SINGLE" elements
- Added 150+ other markers in multiple categories to "TS Google Maps PLUS + SINGLE" element
- Added option to "TS Google Maps PLUS + SINGLE" elements to use external path to marker image
- Fixed issue in "TS Posts Timeline" element where disabling period markers does not transfer to frontend
- Added option to "TS Posts Timeline" element to not show the publish date for each post
- Fixed issue with "TS Icon Fonts" element where viewport animation did not trigger when using an image instead of font icon
- Improved row visibility settings to now work without requiring a row background from this add-on
- Update notification on plugin listing page now also supports optional upgrade notice
- Disabling the load "waypoints.js" option will now also attempt to prevent Visual Composer itself from loading the file
- Viewport events tied to the "waypoints.js" script are now set to a "bottom-in-view" offset (rows/columns/animation frame to 50%)
- Viewport trigger offset can now be custom set for rows, columns and animation frame; more elements to follow
- Fixed trying to get property of non-object in ts_vcsc_registrations_functions.php on line 95 error (wpdebug)
- Custom icon font import routine now accepts authorization credentials (cURL / file_get_contents) for non-public servers
- Fixed issue where "tapping" on image in lightbox does not move to the next image in gallery
- Fixed custom frontend edit template for "VC Widgets" post type not getting applied anymore after updating to WP 4.4.x
- Fixed issue where blank site protocoll for video iFrames could crash Internet Explorer 11
- Fixed PHP array error on settings transfer page
- Internal Envato requests switched from wp_remote_get() to direct cURL requests
- Internal noUiSlider script has been updated from v7.1.0 to v8.2.1
- All numeric slider input controls in element panels now show a range scale indicator (and tooltip) for better usage (can be disabled in plugin settings)
- Fixed error in lightbox script where using ESC (to cloase) while zooming image breaks lightbox in all subsequent instances
- Layout redesigns for custom parapeters in element setting panels in Visual Composer
- Other CSS + JS Improvements
- Updated EN/DE .po/.mo language files
- New ES (Spanish) translation (.po/.mo) files; big thanks to @JARDIUM
- Minimum requirement for this add-on to fully work has been raised to Visual Composer v4.7.4 and higher

Version 4.1.1
-------------
- Fixed missing "VC Widgets" output on frontend after updating to v4.1.0

Version 4.1.0
-------------
- Added new element "TS Almost Anything Grid"
- Added new element "TS Image Placeholder"
- Added new element "TS Google Maps SINGLE" (single marker map)
- Added option to "TS Google Maps PLUS" element to import custom map style from Snazzy Maps
- Added option to "TS Google Maps PLUS" element to import marker from external JSON file (sample file included)
- Added optional "Fit All" button to "TS Google Maps PLUS" element to fit all markers onto map
- Fixed location search in "TS Google Maps PLUS" element returning call size stack error
- Changed loading of Google maps API to be called without sensor parameter (not required anymore)
- Fixed background color for active "Traffic" layer button in "TS Google Maps PLUS" element
- Added global translation panel for text strings for "TS Google Maps PLUS" element to plugin settings page
- Added option to "TS Almost Anything Slider" to use hashtag navigation links to directly go to specific slides
- Added option to "TS Almost Anything Slider" to enable/disable item infinity loop
- Added option to "TS Almost Anything Slider" to enable/disable centering of active item
- Added option to "TS Testimonial Form" element to limit form to certain user roles or logged in users only
- Changed "TS Testimonial Form" element to automatically be set to inactive mode in frontend editor mode
- Fixed icons in "TS Icon Wall" element not always displaying perfectly centered
- Fixed white-space issue in "TS Image Advanced Overlay" element when used with additional click event
- Fixed tooltip with HTML support not always rendering correctly for "TS Image Advanced Overlay" element
- Added setting options for lightbox transition and backlight to "TS Image Advanced Overlay" element
- Added option to open a different image in lightbox to "TS Image Advanced Overlay" element
- Added additional lightbox options to "TS Image Advanced Overlay" element to control element size in lightbox
- Fixed "Wild Romeo" layout for "TS Image Advanced Overlay" element in Safari browser
- Added additional lightbox options to "TS Image iHover" element to control element size in lightbox
- Added additional lightbox options to "TS Image iHover" element to control transition animation and background light
- Fixed "Circle", "Losange" and "Diamond" layouts for "TS Image Lightbox" element in Safari browser
- Added option to "TS Horizontal Steps" element to not use a maximum icon size and always use percentage of step size
- Added option to "TS Horizontal Steps" element to define a maximum outer size for each step
- Added option to "TS Horizontal Steps" element to define the inner size of the steps
- Increased maximum icon size for "TS Horizontal Steps" from 200px to 400px
- Added options to "TS Spacer" element to define different spacer heights for different device types or make dependent upon screen size
- Added options to "TS CSS Media Timeline" element to define custom colors for section border and shadows (default / hover / featured)
- Rewrite parameter for tags in custom timeline posttype has been set to "true"
- Fixed "TS_VCSC_Supports3D is not a function" error with "TS SlitSlider" element
- Added option to "TS Title Advanced" element to automatically use WP page/post title as text string
- Added option to "TS Title Textillate" element to automatically use WP page/post title as text string
- Added option to "TS Title Typed" to define separate font color for alternative mobile title
- Fixed wrapper tag for "TS Title Typed" element not always correctly applied for alternative mobile title
- Added options to "TS Image Full Width" to show slideshow layout on mobile devices, or show first/random image instead
- Added "Patternbolt Pattern" as background option to extended row settings
- Added option to "TS Image Hotspot" element to show HTML5 video in lightbox via hotspot trigger
- Added option to "TS Image Hotspot" element to play HTML5 audio in lightbox via hotspot trigger
- Fixed numeric indicator for "TS Circle Steps" from not getting applied in all cases
- Fixed size setting for image/icon in "TS Circle Steps" from not getting applied when deeplinking is used
- Added contingency check to "TS Circle Steps" so that icon/image size can not be larger than step size
- Changed preloader from standard image to DIV background-image for "TS Fancy Tabs" element so it can be changed via custom CSS
- Added font manager to "TS Creative Links" element
- Added new style "Divider Arrow Down" to "TS Divider" element
- Added option to "TS Divider" element to make element full width using breakout setting
- Fixed "undefined variable" error in "TS Video HTML5" element
- Other small improvements to "TS Video HTML5" element
- Fixed black frame for "TS Video DailyMotion" element in FireFox browser
- Fixed missing backlight setting for "Pagawa Slideshow" layout for "TS Image Gallery" element
- "TS Almost Anything Slider" element is now be default disabled
- Changed default Tooltipster initialization routine to work with dynamically cloned DOM elements on page
- Separated and moved developer element settings into dedicated section on plugin settings page
- Fixed issue with "Templatera" add-on (when "VC Widgets" is enabled), where VC did not load when editing templates
- Removed all standard WooCommerce elements from plugin (custom ones remain) since VC includes those elements already (v4.4.0+)
- bbPress elements are now by default disabled (if an active bbPress plugin has been detected)
- Setting sections that control availability of VC elements now carry indicator count in section title for easier identification
- Element counts in dashboard panel and system information now include available contingent child elements (of container elements)
- Some additions to settings page to better highlight which setting options/sections control element availabilities
- Changed hammer.js script from deprecated v1.1.3 to current release v2.0.4
- Added option to plugin settings to revert back to hammer.js v1.1.3 if there are problems with new version
- Added option to plugin settings (lightbox section) to define the default transition animation to be pre-selected in element settings
- All deprecated elements are now by default hidden in the "Add Element" panel in VC (can be restored via new plugin setting option)
- All deprecated elements are moved from "VCE Deprecated" tab to native "Deprecated" tab provided by VC (in "Add Element" panel; if enabled)
- Adjustments for Visual Composer v4.9.x (switch to vc_lean_map() whenever possible)
- Some adjustments to better work with Jetpack's "Photon" image service
- "View Details" link in plugin listing now actually shows plugin information (requires confirmed license key)
- Fixed fullscreen option for lightbox script on FireFox and Safari browsers
- Other CSS + JS Improvements
- Updated .po/.mo language files

Version 4.0.1
-------------
- Fixed issue when activating / deactivating plugin networkwide on a multisite setup

Version 4.0.0
-------------
- Added new elements for code highlighting ("EnlighterJS - Syntax Highlighter")
- Added optional theme builder for Syntax Highlighter to create a custom theme (based on default theme)
- Added new element "TS Circle Steps"
- Added new element "TS Image Scroll"
- Added new element "TS Google Maps Plus" (multiple markers, group filter, overlays and other new features)
- Deprecated "TS Google Maps" element and renamed element to "TS Google Maps (Deprecated)"
- Added new element "TS Posts Timeline"
- Added new element "TS Mixcloud Player"
- Added new element "TS Quick Skillset" with repeatable group settings (independent from "VC Skillsets" post type)
- Added new element "TS Quick Testimonial" (independent from "VC Testimonials" post type)
- Added new element "TS Testimonial Form" to create frontend submission form for "VC Testimonials" post type
- Added new custom post type "VC Logos" and associated elements (currently only basic features, but will be expanded with future updates)
- Fixed lazy scroll imitation mode for "TS CSS Media Timeline" element
- Added "Honeycombs Fluid Grid of all Images" layout to "TS Image Gallery" element
- Added "Pagawa Slideshow" layout to "TS Image Gallery" element
- Added option to "TS Image Gallery" element to use external images
- Added option to "TS Image Gallery" element to use different preview/thumbnail images than the ones shown in the lightbox
- Added option to "TS Image Gallery" element to define tooltip animation
- Fixed missing image titles for "Nivo Slider" layout in "TS Image Gallery" element
- Added option to "TS Image Gallery" to disable mouse scroll for "FlexSlider" layouts
- Added circle, losange, diamond, hexagon and octagon shape option to "TS Image Lightbox" element
- Added option to "TS Image Lightbox" element to use featured image of post/page
- Fixed social share "Off" setting not getting applied to "TS Image Lightbox" element
- Added option to "TS Image Lightbox" element to show a different image inside the lightbox than the one used for the preview
- Added options to "TS Image Switch" element to apply optional click event to element (provided switch is triggered via hover)
- Added option to "TS Image Switch" element to have no transition effect between images
- Added alignment option to "TS Image Lightbox" element
- Renamed "TS Icon Title" element to "TS Title Advanced" element
- Added option to "TS Title Advanced" element to highlight words in title with different color
- Added option to "TS Title Advanced" element to add pre-text with different style to title
- Added option to "TS Title Advanced" element to apply CSS text-transform to title
- Added alternative light colored strikethrough pattern to "TS Title Advanced" element
- Fixed missing strikethrough pattern for "TS Title Advanced" element if icon top/bottom combined with background
- Added option to "TS Creative Links" element to use basic shortcodes to generate link title
- Fixed button layout for "TS Icon Flat Button" when viewed on extra small mobile screens
- Added option to "TS Divider" element to define font size for "Divider with Text" layout
- Added option to "TS Divider" element to define icon size for "Divider with Icon" layout
- Added option to "TS Divider" element to define image size for "Divider with Image" layout
- Added shortcode processing for content for "TS Pricing Table" element
- Added alternative title for mobile devices to "TS Title Ticker" element
- Added breakpoint options to scale down font size on small screen devices to "TS Title Ticker" element
- Added option to "TS Video YouTube" element to hide video title in top info bar (only when video is NOT viewed in browser fullscreen mode)
- Added option to "TS Video YouTube" element to define custom maximum video size in lightbox
- Added option to "TS Video Dailymotion" element to define custom maximum video size in lightbox
- Added option to "TS Video Vimeo" element to define custom maximum video size in lightbox
- Added option to "TS Video HTML5" element to define custom maximum video size in lightbox
- Added option to "TS Horizontal Steps" element to define tooltip animation
- Fixed tooltip themes not getting correctly applied to "TS Horizontal Steps" element
- Fixed interval stacking issue for "TS Icon Wall" element when using auto-rotation
- Added optional deeplinking to "TS Fancy Tabs (BETA)" element
- Fixed custom overlay color not getting correctly applied to "TS Image Advanced Overlay" element
- Added new background option "Particlify Animation" to extended row settings
- Added optiom to extended row settings to create group of images to randomly select one for background (single image background types)
- Added option to extended row settings to equalize column heights with top/center/bottom content alignment
- Added option to extended row settings to define speed for fadeIn effect for parallax backgrounds
- Fixed extended row settings where background size option is not transferring to frontend when using automove background type
- Fixed extended row settings where KenBurns effect were always chosen randomly, ignoring actual selection
- Added three new zoom effects (Basic Center Zoom, Center Zoom + Fade In, Center Zoom + Fade Out) to some row backgrounds
- Fixed missing top/bottom padding options for single color and gradient color background options in extended row settings
- Optional top/bottom settings for rows and left/right margins for row backgrounds are now by default disabled to avoid conflicts with some themes
- Fixed "mixed content" issue on "https" pages when using "TS Video HTML5" element
- Changed content holder for "TS SlitSlider" element from "blockquote" to "DIV" tag to prevent CSS conflicts
- Added option to "VC Timelines" post type to assign tags to each timeline section
- Added option to "TS CSS Timeline" element to filter timeline section by categories and/or tags
- Added option to "TS CSS Timeline" element to show or hide categories and tags for each timeline section
- Fixed missing "advanced gradient" file for "TS SlitSlider" element if extended row options are disabled
- Added option to "TS Icon Flat Button" element to also use the hover styles available in "TS Icon Dual button" element
- Added one column layout for "TS Processes" element (layout #3) for screen sizes below 480px (via CSS3 media query)
- Fixed custom font styles not getting applied to "TS Title Typed" and "TS Title Textillate" elements on some sites
- Fixed optional CSS3 animation not saving for "TS Icon Counter" element
- Fixed broken sort buttons in "Basic Products Isotope Grid" and "TS Isotope Posts" elements
- Fixed Call to a member function get_cart() on a non-object for "TS WooCommerce Ticker" element
- Fixed broken live preview for elements with images due to changes in AJAX requests in WP 4.3.x + VC 4.7.x
- Added "no-ajaxy" class to all lightbox elements to avoid conflicts with standard page transition effect in "Salient" theme v6.x
- Fixed elements with custom CSS output where CSS code did not get applied in FireFox browser
- Fixed broken mousescroll in lightbox zoom mode when overall page scroll has been disabled in lightbox settings (using JS)
- Fixed broken mousescroll in lightbox thumbnail list when overall page scroll has been disabled in lightbox settings (using JS)
- Added option to plugin settings to control priority (position) for JS variables output on frontend
- Bonus plugin "Iconicum" now has the option to provide the icon shortcode generator only as menu item, only added to the tinyMCE editor, or both
- Added options to plugin settings to control menu position of custom post types associated with the plugin
- Changed all external Google requests (fonts, maps, etc.) from "http" to "https" to avoid mixed content warnings on SSL sites
- Adjusted styling for setting controls to new Visual Composer v4.7.x layout
- Fixed broken description link on plugin listing page
- Moved some (less used) CSS + JS routines from core plugin files into dedicated single CSS + JS files
- Adjusted all internal links from "tekanewascripts.info" to "tekanewascripts.com" to account for server changes
- Changed license check and other Envato dependent routines to new Envato API
- License check page will now show support expiration date (already confirmed licenses need to be re-confirmed to show date)
- Fixed incorrect update notification check interval from 60s to 12h (in order to match standard WP update check interval)
- Fixed default options not getting set for new sites on an existing multisite environment if plugin is activated networkwide
- Added fallback check to icon font loading procedure to get correct default value if matching WordPress option has not been set yet
- Custom CSS + JS code from editors will now be outputted on all pages (even if no element from add-on is present)
- Restored all column layouts for rows in "VC Widgets" custom post type that were previously removed
- Fixed "VC Widgets" post type issue with VC "Design Options" (tab) settings not outputting correctly when used as footer and sidebar widget
- Fixed settings export/import tool to include previously missing settings
- Updated built-in Font Awesome icon font from v4.3.0 to v4.4.0 (adding 66 new icons)
- Improved compatibility with WP Rocket Cache image and iFrame lazyload feature
- Adjustments for Visual Composer v4.8.x
- Other CSS + JS Improvements
- Updated .po/.mo language files

Version 3.4.5
-------------
- Fixed widget registration in WordPress 4.3.0+

Version 3.4.4
-------------
- Added new element "TS Icon Wall"
- Fixed "TS Google Maps" element not rendering in default style after updating to Visual Composer v4.6.x
- Fixed "TS Posts Ticker" element not auto-playing anymore after updating to Visual Composer v4.6.x
- Fixed "TS Products Ticker" element not auto-playing anymore after updating to Visual Composer v4.6.x
- Fixed "TS Pricing Table" element not applying some default settings after updating to Visual Composer v4.6.x
- Fixed "TS Info & Notice Panel" element not applying some default settings after updating to Visual Composer v4.6.x
- Fixed "TS Title Textillate" element not applying some default settings after updating to Visual Composer v4.6.x
- Fixed extended row options issues (auto-movement "leftright") after updating to Visual Composer v4.6.x
- Fixed broken switch controls in WooCommerce elements
- Fixed background scroll still working when "TS Element Focus" has been triggered
- Added option to "TS Image Advanced Overlay" element to use custom color for overlay background
- Added alternative Modernizr Check to lightbox script in order to test for fullscreen availability
- Added option to "TS Google Maps" element to show/hide the link button to the official Google Maps website
- Added option to "TS Image Gallery" element to define custom number of items per slide for OwlSlider layout
- Added option to "TS Almost Anything Slider" element to define custom number of items per slide for OwlSlider layout
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.4.3
-------------
- Fixed disappearance of "VC Timelines" custom post types after update to v3.4.2
- Fixed failed rendering of "TS Fancy Tabs (BETA)" element in backend editor if live preview rendering has been disabled

Version 3.4.2
-------------
- Added option to "TS Horizontal Steps" to add viewport animations to steps with delay
- Added option to use auto play setting with "TS Video YouTube" element when additional overlay image has been used
- Added option to "TS Video YouTube" element to loop video
- Added option to "TS Video YouTube" element to only use modest branding for player
- Added option to "VC Timelines" custom post type to define custom (lightbox) title for media elements
- Fixed custom ALT string not getting correctly applied to media elements in "VC Timelines" custom post type
- Added option to "TS Image Full" element to assign link to element
- Fixed looping issue for "TS HTML5 Video" and "TS HTML5 Audio" elements
- Added option to "TS Fancy Tabs (BETA)" element to also customize colors for mobile menu admin bar
- Added option to "TS Fancy Tabs (BETA)" element to define inner padding for each tab
- Added option to "TS Fancy Tabs (BETA)" element to use automatic tooltips if tab title does not fit tab width
- Added option to "TS Fancy Tabs (BETA)" element to use tab position (as roman number, standard number or letter) in medium breakpoint view if no custom icon has been set
- Fixed "bleeding through" of hover tooltips on hidden tabs for "TS Fancy Tabs (BETA)" element
- Fixed error where tab link events were assigned to some link elements inside the tab content for "TS Fancy Tabs (BETA)" element
- Fixed broken viewport animation for "TS Icon Fonts" element
- Switched from VC internal viewport animations to CSS3 viewport animation for "TS Icon Fonts" and "TS Icon List Item" elements
- Added option to "TS Content Flip" element to trigger flip via hover or click event
- Fixed issue with "TS Content Flip" element where custom height settings did not get applied correctly
- Improved touch behaviour for "TS Image iHover" element when additional link is applied
- Added option to "TS Page Background" element to allow first image of slideshow to be used as fixed background on mobile devices
- Added option to "TS Page Background" element to show fixed background image on mobile devices
- Fixed issue with "TS Video DailyMotion" element where short URL for video did not parse correctly
- Added option to "TS Video DailyMotion" element to show or block related videos at the end of video
- Fixed "TS Social Networks" element issues after updating to Visual Composer v4.6.x
- Fixed "TS Content Flip" element issues after updating to Visual Composer v4.6.x
- Fixed "TS Modal Popup" element issues after updating to Visual Composer v4.6.x
- Fixed extended row options issues (parallax "up") after updating to Visual Composer v4.6.x
- Fixed issue with link events for "TS Image Advanced Overlay" element in Internet Explorer
- Improved touch behaviour for "TS Image Advanced Overlay" element when additional link is applied
- Added option to "TS Image Gallery" element to define image spacing when using Owl Slider layout
- Added new optional update notification page to admin dashboard
- Added simple fade transition animation option to lightbox
- Added "Jello" animation to listing of available CSS3 animations (for supported elements)
- Added option to global lightbox settings to control if and how background page scrolling should be blocked when lightbox is opened
- Added option to global lightbox settings to define speed for lightbox entry animations
- Increased timeout limit for data requests sent to Envato to account for slower servers on license page
- Fixed issue with default Skype Username setting not accepting underscores
- Fixed Uncaught TypeError: jQuery(...).TS_VCSC_ClassyGradient is not a function in "TS Page Background" element if extended row options are disabled
- Fixed failed icon font upload process if icon font package name contained space characters
- Fixed fatal error on some installations when attempting to uninstall plugin
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.4.1
-------------
- Fixed parse error: syntax error, unexpected '[' error in "TS Page Background" and extended row settings

Version 3.4.0
-------------
- Added new element "TS SlitSlider" to create animated hero slides
- Added new element "TS Google Forms" to embed Google forms
- Added new element "Real 3D Flipbook" (requires 3rd party "Real 3D Flipbook" plugin; not included)
- Added image background slideshow option to "TS Image(s) Full Width" element
- Added image background slideshow option to "TS Page Background" element
- Added image background slideshow as option to extended row background settings
- Added CSS3 KenBurns effect options to single image and gradient row backgrounds
- Added alternative YouTube and HTML5 video background options to row backgrounds (with basic parallax and fixed attachment)
- Added triangle/spectral pattern as option to extended row background settings
- Added triangle/spectral pattern as option to "TS Page Background" element
- Added "Freewall Fluid Grid of all Images" layout to "TS Image Gallery" element
- Added "Freewall Fluid Posts Grid" option to "TS Posts Image Grid" element
- Added "Freewall Fluid Image Link Grid" option to "TS Image Link Grid" element
- Added "Freewall Fluid Products Grid" option to "TS Products Image Grid" element
- Added option to "TS Products Image Grid" element to disable filter feature
- Added flat button option to "TS Pricing Table" element
- Added font icon or image icon option to "TS Pricing Table" element
- Added options to define colors for box shadows to "TS Pricing Table" element
- Added option to "TS Divider" element to define fixed width in pixels
- Added option to "TS Content Flip" element to define minimum or maximum height for element
- Added fixed height option to "TS Icon Box" element
- Added custom width options (percent / pixels) to "TS Image Advanced Overlay" element
- Added custom width options (percent / pixels) to "TS Image iHover" element
- Added option to "TS iFrame Embed" element to define custom backlight color for lightbox
- Added option to "TS Teaser Block" element to use without featured image
- Added option to "TS Icon Counter" element to add link to icon / image, content, whole element or via button
- Added option to "TS Icon Counter" element to allow HTML code in tooltip and switched tooltip script to "ToolTipster"
- Added options to "TS Counter Circle" element to define font colors for text strings inside circle
- Added option to "TS HTML5 Video" element to set sizing setting for video and poster image
- Added option to "TS Image Advanced Overlay" element to define image size (source) for preview and optional lightbox image
- Added option to "TS Image iHover" element to define image size (source) for preview and optional lightbox image
- Added option to "TS Image Gallery" element to define image source for thumbnail images in lightbox
- Improved smoothness of first transition per slide for "TS Image Gallery" element in polaroid stack layout
- Fixed bug where "TS Row Center Frame" only centered content on full screen height rows
- Increased allowable height limit for "TS Google Docs" element to 5000px
- Changed breakpoint to switch from vertical tabs to horizontal tabs from 960px to 820px for "TS Fancy Tabs (BETA)" element
- Fixed broken output of custom CSS styles for tabs in "TS Fancy Tabs (BETA)" element
- Changed output of "TS Image Switch" element when using frontend editor
- Changed output of "TS Image Magnify" element when using frontend editor
- Fixed error with "TS Image Magnify" element where a "division by zero" was triggerend when no image was selected
- Fixed error with "TS Icon Fonts" element (undefined variable: icon_margin)
- Fixed conflict with MooTools library with "TS Single Page Navigator" element
- Fixed conflict with MooTools library with "TS Image Adipoli" element
- Fixed issue where some element combinations caused problems with opening settings panel in VC
- Fixed wrong element count in plugin settings page (section "Manage Elements")
- Fixed issue where activating of "VC Widgets" post type unchecks VC for pages and posts
- Added select/deselect all elements buttons for settings page (section "Manage Elements")
- Renamed shortcode paramater "switch" to "switch_button" to avoid conflicts with similar parameters from other add-ons
- Adjustments for Visual Composer v4.6.0
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.3.3
-------------
- Added new element "TS Single Page Navigator" to build one-page navigation bars
- Added new element "TS Row Center Frame" to vertically center elements inside a full height row
- Fixed layout issues for "TS Image Grid", "TS Post Image Grid" and "TS Product Image Grid" elements
- Fixed error with new "VC Widgets" post type when adding widget to sidebar
- Fixed filter routine for "VC Widgets" elements on widgets page
- Changed "VC Widgets" post type default setting to disabled (to match other custom post types)
- Added support for element's design option setting for "VC Widgets" post type (a big thank you @NoahjChampion for providing code)
- Added frontend editor support and preview for "VC Widgets" post type
- Fixed missing category selectors for WooCommerce elements
- Added extended link options to "TS Image Switch" element
- Made image order reversal optional in Polaroid Stack layout for "TS Image Gallery" element
- Added auto-rotate option to Polaroid Stack layout for "TS Image Gallery" element
- Fixed display problems with some countdown types on FF
- Added option to "TS Video YouTube" element to place image overlay above directly embedded video iFrame
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.3.2
-------------
- Added new (dependency free) "Sidebar Widgets Builder" post type "VC Widgets", allowing VC elements to be used in sidebars via widget
- Added font family options to "TS Teaser Block" elements
- Added background + font color options to "TS Teaser Block" elements
- Added font size options to "TS Teaser Block" elements
- Fixed error where "no dots navigation" setting for OwlSliders did not transfer to frontend
- Fixed error with preview image using FF in "TS Image Hotspot" element when setting hotpost position
- Removed the automatic message truncation via JS for "TS Image Basic Overlay" element and made it optional via setting
- Changed priority for frontend JS variabled output in page HEAD to be listed later and not at beginning of HEAD
- Added option to custom icon font import to prevent path change in uploaded CSS file
- Added option to custom icon font import to use relative path for uploaded CSS file
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.3.1
-------------
- Fixed error with missing row paddings / margins on some themes after updating to v3.3.0

Version 3.3.0
-------------
- Introduced new Google Font Manager (requires PHP 5.2 or higher)
- Added font family options to "TS Info / Notice Panel" element
- Added font family options to "TS Content Flip" element
- Added font family options to "TS Icon Box" element
- Added new options to "TS Icon Box" element to apply link to title only or title + button
- Added minimum/maximum height setting option to inner section of "TS Icon Box" element
- Added new elements "TS Fancy Tabs (BETA)" (currently only available for backend editor)
- Added new element "TS Google Tables" to embed interactive tables from a Google Spreadsheet document
- Added new element "TS Creative Links"
- Adjustments for WordPress v4.2.0
- Adjustments for Visual Composer v4.5.0
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.2.2
-------------
- Added option to "TS Google Charts" element to use external Google Doc Spreadsheet as data source
- Added option to "TS Google Charts" element to provide chart in image version in order to download and save
- Fixed show/hide toggle button for "TS Google Maps" element when viewed on mobile devices
- Fixed JS error with "TS Google Map" element when showing in frontend editor mode
- Added option to "TS Image Gallery" to show thumbnails for "FlexSlider" layout on top or bottom
- Added option to "TS Image Gallery" element to enable/disable hashtag navigation (separate from global settings)
- Added more control options for "NivoSlider" layout for "TS Image Gallery" element
- Added option to "TS Image Lightbox" element to enable/disable hashtag navigation (separate from global settings)
- Added option to "TS Image Lightbox" element to enable/disable social share (separate from global settings)
- Added option to "TS Image Switch" element to use slide effect in horizontal or vertical direction
- Added option to "TS Image Switch" element to use slide effect in hover or drag mode
- Added option to "TS Image Switch" element to set initial position of separation bar
- Added option to "TS Image Switch" element to add a before/after label string to each image
- Added color option to typing cursor for "TS Title Typed"
- Added basic filter/search option for Google font selector parameter
- Fixed line height setting for "TS Icon Box" element not applying correctly
- Fixed misaligned hotspot pulse for large hotspots with icon
- Fixed path duplication for custom font upload in font CSS file (on some servers)
- Added setting to disable auto-update check and routine
- Added link to full changelog page in plugin listing page
- Added additional checks for enabled elements/features for output of JS variables on frontend
- Fixed error on frontend editor where advanced gradient file was not loaded correctly
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.2.1
-------------
- Fixed error in "TS Spacer" element where settings panel does not open correctly

Version 3.2.0
-------------
- Added memory check to plugin activation to prevent activation if not sufficient memory left
- Added new element "TS Element Focus"
- Element "TS Lightbox Gallery" renamed to "TS Image Gallery"
- Added "Thumbnail" size option for preview images for "TS Image Gallery" element
- Added option to some gallery layouts to remove lightbox feature or open image in new tab for "TS Image Gallery" element
- Added new layout "Polaroid Image Stack" to "TS Image Gallery" element
- Added new layout "Random Image Only" to "TS Image Gallery" element
- Changed "Flex Image Slider (With Thumbnails)" layout for "TS Image Gallery" element to always use "thumbnail" image size for thumbnails
- Added "Thumbnail" size option for preview image for "TS Image Lightbox" element
- Changed layout for "TS Image Gallery" element when shown in frontend editor mode
- Added option to automtically stop some row background effects when row width is below a pre-defined breakpoint (non-mobile devices only)
- Added option to "TS Posts Image Grid" to disable filter feature
- Added option to prevent built-in lightbox solution to load API's for utilzied social share networks
- Changed that lightbox scipt will only load the social network API's for networks actually selected in settings
- Added option to lightbox settings to apply lightbox (via class name) to image links inserted via tinyMCE media button
- Added option to "TS Image Hotspot" element to use dynamic or fixed hotspot size
- Added option to "TS Image Hotspot" element to select entry/exit animation for tooltip
- Added option to "TS Image Hotspot" element to trigger tooltip via hover or click (provided no hotspot event has been assigned)
- Added option to "TS CSS Media Timeline" to hide title in timeline description and only show at the top of timeline
- Added option to "TS Almost Anything Slider" to define custom spacing between elements (if more than one element per slide)
- Added option to "TS Image Advanced Overlay" element to add tooltip to link ioncs (for icon overlays)
- Added new advanced border settings parameter to "TS Icon Box" element
- Added new advanced border settings parameter to "TS Icon Title" element
- Added more setting options to "TS Icon Title" element to better control icon / image and title string positioning
- Changed opacity animations for "TS Figure Navigation" element from jQuery "animate" to CSS3 animation
- Added option to "TS Video YouTube" element to define how player controls are provided
- Added option to extended row settings to use radial gradients (ellipse + circle) and multiple gradient colors
- Added option to "TS Video YouTube" element to define how player controls are displayed during play
- Added option to "TS iPresenter" element to use fade transition for slides instead of advanced 3D animations
- Added flat button styles to "TS Icon Box" element
- Added tooltip option to "TS Icon Box" element
- Added tooltip option to individual "TS Horizontal Step" items
- Added option to "TS Image Lightbox" element to use external image sources for lightbox and preview image
- Added option to "TS Google Charts" element to define custom color for data sets
- Fixed stacked image bug in lightbox when large sized images are used
- Fixed wrong element count if VC 4.4.0+ is used and default WooCommerce elements are removed due to duplication
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.1.1
-------------
- Removed misplaced switch for "TS CSS Timeline" element in element listing (actually controlled via custom post type switch)
- Updated Modernizr library to include prefixed function
- Fixed error with "TS iPresenter" element where fixed height setting did not transfer to frontend
- Fixed background-position for row image background with scroll
- Fixed issue where "TS Image Gallery" element did not use selected preview image size for some layouts
- Fixed error where images in gallery layout "Image Stack" did not open in lightbox
- Updated built-in Font Awesome Icon Font to v4.3.0

Version 3.1.0
-------------
- Full backend STYLING is now only supported for VC 4.3.0 or higher; older VC versions are not supported anymore
- Added new custom post type "VC Timeline" and corresponding elements to create interactive timeline with optional media elements
- Deprecated existing "TS Isotope Timeline" element in favor of new element "TS CSS Timeline" (which uses custom post type)
- Added new element "TS Fancy List"
- Added option to "TS Title Flipboard" element to switch between dark / light style
- Added option to "TS Title Flipboard" element to define separate start string
- Added russian alphabet to allowable characters for "TS Title Flipboard" element
- Added check for presets in "TS Info / Notice Panel" to use VC built-in icon font first, if available
- Added options to row settings to show/hide row based on available screen sizes (4 devices types with variable screen sizes defined in settings)
- Row viewport CSS3 animation settings now available for inner rows as well
- Added timezone selector to "TS Countdown" element
- Added option to count up once target date / time has been reached or has been intentionally set in the past for "TS Countdown" element
- Added option to easily enable/disable frontend editor (administrator roles only)
- Added option to "TS Modal Popup" to define size of lightbox / modal window
- Added option to "TS Icon Counter" element to start count on pageload
- Added option to disable built-in lightbox solution (at own risk; no guarantees for functionality of elements that rely on lightbox)
- Added option to "TS Teaser Block" elements to define button hover color for flat button style
- Added option to "TS HTML5 Video" element to define border settings around video frame
- Added flat (icon) button as trigger option for "TS Modal Popup" element
- Added flat (icon) button as trigger option for "TS Video DailyMotion" element
- Added flat (icon) button as trigger option for "TS Video YouTube" element
- Added flat (icon) button as trigger option for "TS Video Vimeo" element
- Added flat (icon) button as trigger option for "TS Video HTML5" element
- Added flat (icon) button as trigger option for "TS iFrame Embed" element
- Added optional title for tooltips in "TS Image Hotspot" element
- Added new style to "TS Image SVG" element
- Changed fade effect for "TS Image Switch" element from jQuery animation to CSS3 opacity animation
- Added option to lightbox settings to disable "Tap-To-Next" navigation
- Changed lightbox script to automatically prevent "Tap-To-Next" animation if there is only one item in the group
- Fixed gradient preview indicator for row backgrounds
- Fixed array warning in "Transfer Settings" page
- Fixed missing custom ID / Class name assignment for "TS Imaged Advanced Overlay" element
- Fixed wrong path for default image for "TS Teammate" elements
- Fixed JS error for self-hosted video row + page background when video controls are deactivated
- Fixed additional white space below image when using "TS Image Adipoli" element
- Fixed error with Projekktor (HTML5) video player script when leaving fullscreen mode does not restore scrollbars
- Script for "TS Google Map" element will now follow http/https when retrieving images from Google
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 3.0.3
-------------
- Added check for constant defined prior to calling 'cmb_Meta_Box::CMB_VERSION'
- SmoothScroll feature will automatically be deactivated when using the frontend editor
- Permanently disabled keyboard navigation for "TS Modal Popup" element to avoid conflicts with embedded forms
- Fixed JS error in FF when SmoothScroll Feature has been activated

Version 3.0.2
-------------
- Changed "arry_map" function in lightbox gallery shortcode to not use an "anonymous function" in order to work with PHP versions prior to 5.3
- Fixed error where plugin defaults are not registering in WP database, preventing icon font files from loading until plugin settings have been saved at least once

Version 3.0.1
-------------
- Fixed array error in settings page for lightbox settings
- Added option to "Basic Products Slider" element to define custom number of items per breakpoint
- Updated .po/.mo language files

Version 3.0.0
-------------
- Plugin officially renamed to "Composium - Visual Composer Extensions" (note change in plugin listing order)
- Adjustments for v4.4.0 of Visual Composer
- Added option to also utilize new built-in fonts from Visual Composer (v4.4.0+)
- Added option to use new VC icon picker (v4.4.0+) instead of the one previously utilized by this add-on
- Recoded arrays with icon font data to include icon description for better search results
- Introduced live preview of CSS only elements when using backend editor (requires VC 4.3.0 or higher)
- Added option to export and import main plugin settings
- Added new element "TS Image Magnify"
- Added new element "TS Title Ticker"
- Added new element "TS Title Flipboard"
- Added new element "TS Page Background"
- Added new element "TS Icon Flat Button"
- Added new element "TS Icon Dual Buttons"
- Added new element "TS Image Link Grid"
- Added new element "TS Posts Image Grid"
- Added option to "TS Lightbox Gallery" element to limit number of images shown in "Auto Grid" layout
- Added option to "TS Lightbox Gallery" element to randomly shuffle image order in "Auto Grid" layout
- Added option to hotspots to show font icon or number / letter inside inner dot for "TS Image Hotspots" element
- Added new hotpost event to "TS Image Hotspots" element to switch out the main hotspot image
- Added option to "TS Image Hotspots" element to allow advanced HTML code for tooltip utilizing Base64 encoding/decoding
- Added two more hotspot sizes for "TS Image Hotspot" element to adjust for smaller images
- Added option to "TS Image Advanced Overlay" to always show overlay
- Added option to "TS Icon Box" element to define in which DOM element the title should be wrapped in
- Added option to "TS Icon Box" element to define icon / image position for style "Icon Outside - Left"
- Added option to "TS Image iHover" element to enable / disable box-shadow effect
- Added option to "TS Modal Popup" element to retrieve content from other elements via ID
- Added option to "TS Products Isotope Grid" to link mini thumbnail to product page instead of opening image in lightbox
- Added option to "TS Products Isotope Grid" to define if links should be opened in new or current window/tab
- Added option to "TS Image Switch" element to add basic text / logo overlay
- Added option to "TS Image Basic Overlay" to define border settings for element
- Added option to "TS Countdown" element to provide target date/time via separate shortcode
- Added new style for "TS Skillsets" element
- Added option to "TS Title Typed" element to disable animation on mobile devices and use alternate title instead
- Added self-hosted video to row background options (via browser HTML5 player)
- Added basic support for playlists to "TS Video YouTube" element
- Deprecated "TS YouTube Background" element
- Added new "TS Page Background" element
- Added self hosted video to page background element
- Added fixed image to page background element
- Added option to "TS Image Switch" element to apply link to element if switch is not triggered via click
- Added option to "TS Video YouTube" to define start and end point of video in seconds
- Added option to lightbox to globally enable/disable social share feature and to define social networks to be used
- Added option to lightbox to use custom background image for lightbox overlay
- Fixed uninstall error message
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.7.3
-------------
- Removed PHP truncation for WooCommerce product titles and switched to CSS white-space truncations
- Fixed error with OwlSlider2 when navigation dots are disabled and prev/next navigation buttons are used
- Changed when plugin's static JS variables are outputted to better accomodate minify / caching plugins
- Other CSS + JS Improvements

Version 2.7.2
-------------
- Added option to lightbox settings to allow CORS cross domain image requests
- Added option to show / hide background indicators in backend editor
- Improvements to "TS Divider" element and styling
- Added fade fallback for "TS Content Flip" element when 3D Animations are not supported
- Fixed issue where deactivating hotspot pulse does not transfer to the frontend
- Fixed issue with some missing default translation strings in plugin settings
- Fixed inner close icon for lightbox not reacting to tap event
- Fixed missing parameter for "TS Embed iFrame" element when defining lightbox height in percent
- Fixed missing button stylesheet for "TS iPresenter" element
- Fixed icon misalignment in preview section for icon font import
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.7.1
-------------
- Added new element "TS iPresenter"
- Added new element "TS Image Advanced Overlay"
- Added option to "TS Image Overlay" to select between normal link button or icon button
- Added option to define maximum height for image in "TS Figure Navigation" element
- Increased max. value for min-width setting of "TS Figure Navigation" element to 2,048
- Added option to define starting point for auto-numbering for "TS Figure Navigation" element
- Added option to set navigation items within "TS Figure Navigation" element to use full column width
- Added option to allow multiple items within a "TS Figure Navigation" element to be open at the same time
- Fixed error with "TS Social Networks" element with undefined index
- Added "Line Chart" to layout options for "TS Google Charts" element
- Added new click events for "TS Image PicStrips" element
- Added filter option for "TS Lightbox Gallery" element (only for Grid layout)
- Added 18 new raster / noise pattern for overlays
- Changes to tooltips for "TS Image iHover" and "TS Image Hotspots" elements
- Changed which elements are activated by default upon first install (least used elements are now initially deactivated to improve performance)
- SVG row separator are now visible on mobile devices that support SVG shapes
- Full width backgrounds now remain full width on mobile devices
- All advanced row background effects using images (i.e. parallax, automove, etc.) will revert to normal images on mobile devices
- Lightbox now has global option to show additional close button inside lightbox element
- Lightbox now assigns another close event to all custom DOM elements with the class name "kraut-lb-exit-custom"
- Fixed error with missing bonus icon generator buttons in tinyMCE editor and failed shortcode processing for those icons
- Fixed error with conflict between Google Charts API and front-end editor
- Fixed output of random number instead of blank author name when no author name has been entered for testimonial
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.7.0
-------------
- Added "Flex Slider" layout options to "TS Lightbox Gallery" element
- Added "SliceBox" layout option to "TS Lightbox Gallery" element
- Added "NivoSlider" layout option to "TS Lightbox Gallery" element
- Added option to "TS Lightbox Gallery" element to add grayscale effect to single image trigger layouts
- Added new element "TS Soundcloud"
- Added new element "TS Info / Notice Panel"
- Added new element "TS Amaran Popup"
- Added elements to embed standard bbPress shortcodes with Visual Composer
- Added optional date/time string translation for "TS Posts Slider" and "TS Posts Grid" elements
- Added "Flex Slider" layout option to "TS Posts Slider"
- Changed "TS Social Icons" from using images to using an icon font
- Added option to define icon size and padding for "TS Social Icons" element
- Added blur option (CSS3) to some row background effects
- Added SVG shape overlays to background effects
- Added Noise overlays to background effects
- Added color over to background effects
- Added option to make row background full viewport height
- Added blur option (CSS3) to "TS Image Full" element
- Added SVG shape overlays to "TS Image Full" element
- Added Noise overlays to "TS Image Full" element
- Added color over to "TS Image Full" element
- Added follow movement effect to "TS Image Full" element
- Added new element "TS Image SVG"
- Added option to "TS Figure Navigation" element to use custom number / letter instead of icon / auto number
- Added option to "TS Figure Navigation" element to select between different shaded for the handle
- Added option to define label width for bar style 2 for "TS Skillsets" element
- Added option to "TS iFrame Embed" to define size of lightbox if iFrame is shown inside
- Added option to disable visual icon selector and switch to manual class name input for improved performance
- Added search option to icon preview page
- Added option to post elements to use WordPress internal translations to translate date and time strings
- Fixed error for "TS HTML5 Video" + "TS HTML5 Audio" when used in IE
- Fixed broken visual hotpost position selector for "TS Image Hotspot" element
- Fixed issue with missing icon font for post elements
- Fixed issue when debugging was enabled and error messages showed up after saving plugin settings
- Fixed issue with undefined variable "animation_hover" in "TS Icon List Item" element
- Changed namespace and classes for OwlCarousel 2 function to prevent conflicts when older (1.x) versions are also present
- Renamed class and variable used to detect mobile devices to avoid conflicts when already used on site
- Added new admin page to provide system information for support requests
- Added new admin page to show changelog for plugin
- Added option to define lightbox background color and opacity in plugin settings
- Added option to add noise pattern to lightbox overlay
- Added option to select between button schemes for lightbox to account for dark / light backgrounds
- Plugin can now be activate network wide (each site stores its own options, except license information)
- Redesigned admin (settings) panels and switched to use Dashicons instead of image icons (when possible)
- Added WordPress icon font "Dashicons" to font selection
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.6.7
-------------
- Added option to "TS Figure Navigation" to apply tooltip to element
- Added option to "TS Image iHover" to apply tooltip to element
- Other CSS + JS Improvements

Version 2.6.6
-------------
- Added new element "TS Title Typed"
- Added new element "TS Skillsets Raphael"
- Added 2nd style for skill bars for "TS Skillsets Bars" element
- Added option to "TS Skillsets Bars" element to show skill value as tooltip
- Added "LTR" direction for plugin setting sections to prevent display problems on RTL sites
- Added option to "TS Icon Box" element to define padding between icon and content for "icon outside" styles
- Added option to "TS Lightbox Gallery" to show gallery in full width (for grid and slider view)
- Fixed custom font selector for "TS Textillate" element
- Fixed error with "TS Image Hotspots" elements which caused "strpos() expects parameter 1 to be string, array given in class.wp-styles.php" error
- Added check to fixed settings menu to allow scrolling if screen size is smaller than menu height
- Added shortcode processing for flip box content (HTML inputs only)
- Added option to "TS title Textillate" element to define initial animation delay
- Removed default title and content for "TS Image iHover" element
- Added option to disable the image preview for elements in the back-end editor to improve performance
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.6.5
-------------
- Added new element "TS Figure Navigation"
- Major improvements to "TS Icon List Item" element
- Added new style to testimonial elements
- Added 4 new icon fonts with 1,400+ new icons to built-in font collection
- Added optional geolocation feature to "TS Google Map" element
- Added optional autocomplete feature to "TS Google Map" element
- Added 20 new color themes for "TS Google Map" element
- Added option to initially hide map on mobile devices and show via button click
- Added option to prevent Google Map API to load if already loaded otherwise
- Added option to "TS iFrame Embed" element to add border to iFrame
- Added option to "TS iFrame Embed" to make iFrame full width
- Improved PHP function that checks if links have valid "http" syntax
- Fixed broken auto-play feature for lightbox gallery
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.6.4
-------------
- Added option to "TS Animation Frame" element to re-trigger the animation for subsequent viewport events
- Added option to "TS Google Map" to show marker infowindow on page load
- Added new element "TS Image Hotspots"
- Added new element "TS Image iHover"
- Fixed misaligned dropdown boxes for "TS Isotope Posts" and "TS Basic Products Grid"
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.6.3
-------------
- Added new WooCommerce element "Single Product Rating" to show a custom rating for a specific product
- Added new WooCommerce element "Basic Products Ticker" to show products in ticker form
- Added new WooCommerce element "Basic Products Grid" to show products in an Isotope grid layout
- Added default in/out animations for OwlSlider v2.0 for better transition from v1.0 sliders already created
- Added option to all slider elements to select if page is RTL to account for errors in slide coordinates
- Renamed NoUiSlider function to ensure compatiblity with Redux Framework that uses an older version of NoUiSlider
- Changed tooltip storage from "data-tooltip" to "data-tstooltip" to avoid conflicts with other tooltip plugins
- The included bonus plugin "Iconicum" will be disabled automatically if the standalone version of the plugin has been detected
- Fixed YouTube videos in lightbox on "https" sites that didn't play before
- Updated .po/.mo language files

Version 2.6.2
-------------
- Added option to "TS Modal Popup" element to add background image or color to popup
- Added option to "TS Rating Scale" element to disable the icon auto-size feature
- Added option to teammate post type (and associated elements) to provide opening / contact hours
- Added option to teammate post type to use external page as dedicated page for team member
- Added new elements "TS Team Page Builder" to built custom page for teammate using custom post type content
- Added option to WooCommerce "Basic Products Slider" to custom style ratings
- Fixed issue where link validation for some elements occasionally drops ":" character after "http"
- Fixed issue where "TS Anything Slider" in AutoPlay didn't change slides when navigation buttons have been disabled
- Some improvements to "TS Icon Box" element
- All front-end scripts and stylesheets are now fully registered and loaded accordingly
- Fixed where default values for social networks are only saved when license key has been entered
- Updated PHP helper class "Custom Metaboxes and Fields" to newest version
- Updated .po/.mo language files

Version 2.6.1
-------------
- Fixed issue where content is outputted twice using the "TS Process" element with style 3
- Fixed missing JS file for "TS Rating Scale" element
- Fixed misaligned icon selector for "TS Rating Scale" element in FireFox browser
- Fixed issue where back-bone view addition caused error for post types not utilizing Visual Composer
- Changed all file names and file name references to lower case for better compatibility with some server setups
- Other CSS + JS Improvements

Version 2.6.0
-------------
- Added new element "TS HTML5 Video" to embed a self-hosted or remote video file
- Added new element "TS HTML5 Audio" to embed a self-hosted or remote audio file
- Added new element "TS Posts Slider"
- Added new element "TS Anything Slider"
- Added new element "TS Rating Scale"
- Added option to Google Charts to define chart background color or set to transparent
- Added option to Google Charts to define border color and width
- Added option to show/hide author avatar for testimonial elements
- Added option to show/hide author metadata for testimonial elements
- Added option to provide end value for "TS Icon Counter" element via external shortcode
- Added option to provide circle + label value for "TS Circle Counter" element via external shortcode
- Added option for auto-moving image to row background settings
- Row background image and colors are now shown next to row controls
- Added option to teammate elements to apply link to external on featured image if no lightbox used
- Added option to teammate elements to apply grayscale effect as default and show normal image on hover
- Changed checkboxes in plugin settings for more convenient toggles
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.5.1
-------------
- Fixed bug where deactivating the custom icon font completely removes font
- Fixed bug with "TS Countdown" element when using circle layout without seconds
- Fixed issue where iFrame doesn't get correct height when a fixed height has been set
- Fixed CSS issues with "TS Isotope Posts" element caused by Visual Composer 4.3+

Version 2.5.0
-------------
- Updated back-end styling to account for changes in Visual Composer 2.3.0
- Added new element "TS Animation Frame"
- Added new elements for all standard WooCommerce shortcodes
- Added new element for WooCommerce product slider
- Added options to completely disable all WooCommerce elements
- Increased limit for manual iFrame height from 2048px to 4096px
- Added option to "TS Processes" element to use HTML code for main content
- Added option to "TS Teaser" element to show header information above or below teaser image
- Added option to "TS Teaser" element to define background color for hover overlay
- Updated owlSlider script to version 2.0 and adjusted elements / shortcodes accordingly
- Fixed error with missing border for "TS Icon Title" element
- Fixed custom font upload for WordPress multi-site install setups
- Updated .po/.mo language files
- Other CSS + JS Improvements

Version 2.4.2
-------------
- Fixed google map reset on mobile devices when entering start address for directions
- Google maps will now attempt to automatically switch the scale bar to imperial units if metric units are disabled in map settings
- Fixed broken icon search feature
- Fixed issue where plugin stopped multi-activate/deactivate of more than one plugin when plugin was included
- Added warning when attempting to activate plugin network wide on multi-site installs
- Added check for function "vc_shortcode_custom_css_class" in case older version of Visual Composer is used
- Deprecated elements are now deactivated by default and must be manually enabled in plugin settings if utilized

Version 2.4.1
-------------
- Added new font selector for "TS Icon Title" that shows a preview for all available fonts
- Fixed missing close button for lightbox info overlay
- Updated .po/.mo language files

Version 2.4.0
-------------
- Included bonus "Iconicum - WordPress Icon Fonts" plugin so font icons can be used within tinyMCE editor and outside of Visual Composer elements
- Added new element "TS Isotope Posts"
- Added option to "TS Image Overlay" to trigger overlay by "Click" or "Hover"
- Added option to "TS Image Overlay" to show overlay on page load (if trigger is "Click")
- Added option to "TS Image Overlay" to use HTML code for content
- Fixed missing DailyMotion and Vimeo output for "TS Isotope Timeline" element
- Added option for image slider as featured media to "TS Isotope Timeline" element
- Added option to define inner padding to "TS Icon box" element (for "Icon Inside - Top" + "Icon Inside - Left" styles)
- Fixed issue with applied border radius to "TS Icon Box" element
- Added option to all teammate elements to disable hover animations
- Added option to plugin settings to move plugin main menu into "Settings" section
- Added some additional redundancy checks to font import routine in case font pack doesn't include all required data
- Added additional hooks for theme developers to control which plugin features should be available to end users
- Other improvements for theme authors to apply custom class names to elements via VC filter
- Plugin is now fully translatable via (.po/.mo) file, using text domain "ts_visual_composer_extend" (Currently English and German available)
- Custom Post Types are now deactivated by default and must be manually enabled in plugin settings if utilized
- Improved "TS Icon Title" element to be more responsive
- Fixed margin settings not getting applied to "TS Countdown" element
- Fixed validation errors in tab for default settings for "Social Networks"
- Fixed missing background image size setting for row parallax
- Added option for row background image to select which WordPress image size should be used
- Added option for row background to use single color background with full width breakout
- Extended row and column settings are now disabled by default to avoid possible conflicts with other extension plugins (can be activated in plugin settings)
- Added option to "TS Modal Popup" to define custom backlight color
- Added option to "TS Team" elements to define custom color for communication icons (for dark themes)
- Added panel for global lightbox settings to plugin settings
- Lifted license restrictions for plugin core (only required for auto-update and bonus "Iconicum" plugin)
- Other CSS + JS Improvements

Version 2.3.1
-------------
- Removed duplicate "/" from require_once command lines

Version 2.3.0
-------------
- Added new element "TS Image Teaser"
- Added new slider element for "TS Image Teaser"
- Added new element "TS Image Full"
- Added new element "TS Icon Button"
- Added new element "TS Isotope Timeline"
- Added improved "TS Lightbox Gallery" element; old element has been deprecated but still available
- Fixed error with auto-grid in "TS Lightbox Gallery" when less images than defined breakpoints (columns)
- Added option to select image size source for preview/lightbox image for "TS Lightbox Image" and "TS Lightbox Gallery" elements
- Added option to "TS Google Maps" element to disable mouse wheel zoom
- Added option to "TS Google Maps" element to define map height
- Added option to "TS Youtube Video" to enable/disable related videos at the end of the video
- Added new style to "TS Countdown" element ("Flipboard")
- Added new style to "TS Countdown" element ("3D Horizontal Flip")
- Added option to "TS Countdown" element to automatically reset (up to 24 hour intervals) with optional link load after expiration
- Added option to "TS Pricing Table" to use custom code for link button
- Added option to "TS Circle Counter" to use image instead of font icon
- Other improvement to "TS Circle Counter" element
- Fixed issue with touch & swipe not working correctly in lightbox
- Removed hashtag navigation for lightbox so that browser back button is now working normally (while keeping share feature fully functional)
- Fixed issue with "Mobile_Detect" error message if other plugin or theme is using the same PHP helper class
- Disabled parallax + fixed image background on mobile devices for performance and compatibility reasons
- Disabled row + column viewport animations on mobile devices for performance and compatibility reasons

Version 2.2.5
-------------
- Fixed glitch where empty icon holders are generated in icon selector for disabled fonts

Version 2.2.4
-------------
- Fixed error where "TS Circliful" did not correctly apply default value
- Updated waypoints.js to most current version
- Updated jquery.mb.ytplayer.js to most current version
- Added shortcodes to display all included font icons and CSS3 animations on front-end for demo purposes

Version 2.2.3
-------------
- Fixed issue with some installs (multi-site) not being able to update past v2.1.2

Version 2.2.2
-------------
- Removed "roque" message from "TS Image Switch" element
- Fixed debug error in "TS Image Overlay" element

Version 2.2.1
-------------
- Fixed error with missing viewport animations for rows and columns

Version 2.2.0
-------------
- Added sliders to teammate element
- Added improved Icon Box element with full tinyMCE editor (old element still available but deprecated)
- Added new element to create animated text strings ("TS Textillate")
- Fixed error for rounded border are not applied to icon box element
- Fixed image alignment with "TS Image Adipoli" element
- Added option to make "TS Image Adipoli" element responsive
- Added option to disable switch effekt for "TS Image Caman"
- Added filter option (by category) for custom post types on back-end
- Added option to disable grayscale effect for "TS Teammate" elements
- Added option to disable lightbox for featured image in "TS Teammate" elements
- Switched PHP class used to create metaboxes for custom post types
- Added additional settings/fields to "VC Team" custom post type
- Added option to create unlimited skill bars for each teammate (formerly limited to 6)
- Added auto-play option for YouTube, Vimeo and DailyMotion videos in lightbox
- Added option to lightbox gallery to only show first image as trigger
- Added option to lightbox gallery to use custom image as trigger
- Fixed missing shortcode support for "TS Modal" element
- Added new custom post type "VC Skillsets" and matching element
- Improved loading of plugin files on back/front-end to increase site performance
- Added option to completely disable undesired elements (to improve back-end performance)
- Added option to load lightbox files on all pages
- Added option to load tooltip files on all pages
- Added option to load active icon font files on all pages
- Other CSS and JS Improvements

Version 2.1.2
-------------
- Fixed error with social icons ("TS Social Networks") producing error on front-end

Version 2.1.1
-------------
- Fixed error with missing lightbox file

Version 2.1.0
-------------
- Fixed row background settings due to changes in VC 4.1
- Added "fixed" image background for rows
- Added option to control z-Index for row backgrounds
- Added custom post type for testimonials
- Added testimonial single element + slider element
- Added default image for team members / testimonials in case no featured image has been set
- Added additional controls for "TS Teammate" element to better control output
- Preparation to introduce slider for "TS Teammate" elements

 Version 2.0.0
-------------
- Rewrote most of plugin code to be better compatible with theme frameworks (i.e. Gantry)
- Added new custom post type for Team Member details with more options (replacing existing "Meet the Team" element)
- Added new circle counter element with icon
- Added new element to easily insert any shortcode
- Added new element to create QR-Code blocks
- Added new element to create countdowns (including option to translate text strings)
- Added VC element for "QuForm - Form Builder" (plugin NOT included)
- Added option to translate all custom text strings in "TS Google Map" element
- Improved how required CSS / JS files are loaded when page can not be scanned for shortcode
- Fixed CSS error with icon padding and border in Mozilla Firefox
- Fixed backlight issue with gallery lightbox
- Other CSS and JS Improvements

Version 1.3.1
-------------
- Fixed error with missing JS file that prevents element settings to work properly
- Added option to assign custom ALT value to images
- Other minor fixes

Version 1.3.0
-------------
- Added option to automatically set height for content flip box or use fixed height
- Added new "Google Map" element with direction panel and custom styles
- Included fully featured lightbox solution for images, videos, iframes and modal popups
- Lightbox automatically applied to "Image with PicStrips" element
- Added option to make "Image Switch" element responsive
- Added "alt" attribute for all images (except in gallery grid)
- Fixed missing link for "Image Adipoli" element
- Fixed some error outputs about missing variables
- Added VC element for "Go - Responsive Pricing & Compare Tables for WP" (plugin NOT included)

Version 1.2.2
-------------
- Fixed error with broken settings page
- Added check to social network links to add "http://" if not provided

Version 1.2.1
-------------
- Fixed bug where social links in "TS Meet The Team" element are not working

Version 1.2.0
-------------
- Content Flip Box now accepts HTML code for additional formatting
- Icon Box now accepts HTML code for additional formatting
- Added option for Google Pie and Donut charts to select different label content for slices
- Added option for bar chart to stack values
- Added option for creating column chart
- Added option for GeoMap chart to select geographic region
- Added 60+ viewport animations to columns and rows
- Added Parallax Effect (up, down, left, right) for Row Background Images
- Added Gradient Color Background for Rows
- Added YouTube Video Background for Rows
- Added YouTube Video Background for Page
- Added Icon List Item Element
- Fixed missing ID / Class names for Icon Title, Content Flip Box and Hover Image
- Fixed issue where title alignment for icon title (left / right icon) doesn't get applied correctly

Version 1.1.0
-------------
- Added new Image PicStrips element
- Added new Image Caman element
- Changes to backend to make it easier for theme authors to incorporate plugin
- Timeline Style 2 can now be used without the date section
- Some improvements to CSS
- Fixed some spelling errors

Version 1.0.3
-------------
- Fixed error with link target in pricing tables

Version 1.0.2
-------------
- Fixed issue with image lightbox where no image src was applied
- Fixed issue where responsive image width for image with overlay was not correctly applied
- Changed height to min-height for Content Flip Box
- Added option to select different speeds for standard content flip box animation
- Changed Google Charts to be responsive to changes in screen dimensions
- Added Donut Google Chart Option
- Added option to position legend for Google Charts
- Added option to forcible load plugins main CSS and JS files on all pages
- Added option to load Icon Font CSS files on all pages, even if no shortcode has been found
- Added options to control loading of MagnificPopup.js, Waypoints.js and CountTo.js

Version 1.0.1
-------------
- Fixed missing viewport animation for content flip box

Version 1.0.0
-------------
- Initial Release